/** @file
  Definition of KeyboardLedsLib

 @copyright
  INTEL CONFIDENTIAL
  Copyright 2015 - 2016 Intel Corporation.

  The source code contained or described herein and all documents related to the
  source code ("Material") are owned by Intel Corporation or its suppliers or
  licensors. Title to the Material remains with Intel Corporation or its suppliers
  and licensors. The Material may contain trade secrets and proprietary and
  confidential information of Intel Corporation and its suppliers and licensors,
  and is protected by worldwide copyright and trade secret laws and treaty
  provisions. No part of the Material may be used, copied, reproduced, modified,
  published, uploaded, posted, transmitted, distributed, or disclosed in any way
  without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure or delivery
  of the Materials, either expressly, by implication, inducement, estoppel or
  otherwise. Any license under such intellectual property rights must be
  express and approved by Intel in writing.

  Unless otherwise agreed by Intel in writing, you may not remove or alter
  this notice or any other notice embedded in Materials by Intel or
  Intel's suppliers or licensors in any way.

  This file contains 'Framework Code' and is licensed as such under the terms
  of your license agreement with Intel or your vendor. This file may not be 
  modified, except as allowed by additional terms of your license agreement.

@par Specification Reference:

**/

#ifndef __KEYBOARD_LEDS_LIB_H__
#define __KEYBOARD_LEDS_LIB_H__

/**
  Set Keyboard LEDs Status to protocol storage

  @param [in] NumLockOn           The pointer of Keyboard NumLockOn Status.
  @param [in] CapsOn              The pointer of Keyboard CapsOn Status.
  @param [in] ScrollOn            The pointer of Keyboard ScrollOn Status.

  @retval RETURN_SUCCESS    Procedure success.
**/
RETURN_STATUS
EFIAPI
SetKeyboardLedsStatus (
  IN     BOOLEAN    NumLockOn,
  IN     BOOLEAN    CapsOn,
  IN     BOOLEAN    ScrollOn
  );

/**
  Get Keyboard LEDs Status from protocol storage

  @param [in, out] NumLockOn           The pointer of Keyboard NumLockOn Status.
  @param [in, out] CapsOn              The pointer of Keyboard CapsOn Status.
  @param [in, out] ScrollOn            The pointer of Keyboard ScrollOn Status.
  @param [out]     LedsStatusChanged   Indicate whether Keyboard LEDs Status is different.

  @retval RETURN_SUCCESS      Procedure success.
**/
RETURN_STATUS
EFIAPI
GetKeyboardLedsStatus (
  IN OUT BOOLEAN    *NumLockOn,
  IN OUT BOOLEAN    *CapsOn,
  IN OUT BOOLEAN    *ScrollOn,
  OUT    BOOLEAN    *LedsStatusChanged
  );

#endif
