//
// Automatically generated by GenNvs ver 2.4.6
// Please DO NOT modify !!!
//


/** @file
  ACPI DSDT table

 @copyright
  INTEL CONFIDENTIAL
  Copyright 2011 - 2020 Intel Corporation.

  The source code contained or described herein and all documents related to the
  source code ("Material") are owned by Intel Corporation or its suppliers or
  licensors. Title to the Material remains with Intel Corporation or its suppliers
  and licensors. The Material may contain trade secrets and proprietary and
  confidential information of Intel Corporation and its suppliers and licensors,
  and is protected by worldwide copyright and trade secret laws and treaty
  provisions. No part of the Material may be used, copied, reproduced, modified,
  published, uploaded, posted, transmitted, distributed, or disclosed in any way
  without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure or delivery
  of the Materials, either expressly, by implication, inducement, estoppel or
  otherwise. Any license under such intellectual property rights must be
  express and approved by Intel in writing.

  Unless otherwise agreed by Intel in writing, you may not remove or alter
  this notice or any other notice embedded in Materials by Intel or
  Intel's suppliers or licensors in any way.

  This file contains a 'Sample Driver' and is licensed as such under the terms
  of your license agreement with Intel or your vendor. This file may be modified
  by the user, subject to the additional terms of the license agreement.

@par Specification
**/

  // Define a Global region of ACPI NVS Region that may be used for any
  // type of implementation.  The starting offset and size will be fixed
  // up by the System BIOS during POST.  Note that the Size must be a word
  // in size to be fixed up correctly.



  OperationRegion(GNVS,SystemMemory,0xFFFF0000,0xAA55)
  Field(GNVS,AnyAcc,Lock,Preserve)
  {  //
  // Miscellaneous Dynamic Registers:
  //
  Offset(0),      OSYS, 16, // Offset(0),     Operating System
  Offset(2),      SMIF, 8,  // Offset(2),     SMI Function Call (ASL to SMI via I/O Trap)
  Offset(3),      PRM0, 8,  // Offset(3),     SMIF - Parameter 0
  Offset(4),      PRM1, 8,  // Offset(4),     SMIF - Parameter 1
  Offset(5),      SCIF, 8,  // Offset(5),     SCI Function Call (SMI to ASL via _L00)
  Offset(6),      PRM2, 8,  // Offset(6),     SCIF - Parameter 0
  Offset(7),      PRM3, 8,  // Offset(7),     SCIF - Parameter 1
  Offset(8),      LCKF, 8,  // Offset(8),     Global Lock Function Call (EC Communication)
  Offset(9),      PRM4, 8,  // Offset(9),     LCKF - Parameter 0
  Offset(10),     PRM5, 8,  // Offset(10),    LCKF - Parameter 1
  Offset(11),     PWRS, 8,  // Offset(11),    Power State (AC Mode = 1)
  Offset(12),     DBGS, 8,  // Offset(12),    Debug State
  //
  // Thermal Policy Registers:
  //
  Offset(13),     THOF, 8,  // Offset(13),    Enable Thermal Offset for KSC
  Offset(14),     ACT1, 8,  // Offset(14),    Active Trip Point 1
  Offset(15),     ACTT, 8,  // Offset(15),    Active Trip Point
  Offset(16),     PSVT, 8,  // Offset(16),    Passive Trip Point
  Offset(17),     TC1V, 8,  // Offset(17),    Passive Trip Point TC1 Value
  Offset(18),     TC2V, 8,  // Offset(18),    Passive Trip Point TC2 Value
  Offset(19),     TSPV, 8,  // Offset(19),    Passive Trip Point TSP Value
  Offset(20),     CRTT, 8,  // Offset(20),    Critical Trip Point
  Offset(21),     DTSE, 8,  // Offset(21),    Digital Thermal Sensor Enable
  Offset(22),     DTS1, 8,  // Offset(22),    Digital Thermal Sensor 1 Reading
  Offset(23),     DTS2, 8,  // Offset(23),    Digital Thermal Sensor 2 Reading
  Offset(24),     DTSF, 8,  // Offset(24),    DTS SMI Function Call
  //
  // Revision Field:
  //
  Offset(25),     REVN, 8,  // Offset(25),    Revison of GlobalNvsArea
  //
  // CPU Identification Registers:
  //
  Offset(26),     APIC, 8,  // Offset(26),    APIC Enabled by SBIOS (APIC Enabled = 1)
  Offset(27),     TCNT, 8,  // Offset(27),    Number of Enabled Threads
  Offset(28),     PCP0, 8,  // Offset(28),    PDC Settings, Processor 0
  Offset(29),     PCP1, 8,  // Offset(29),    PDC Settings, Processor 1
  Offset(30),     PPCM, 8,  // Offset(30),    Maximum PPC state
  Offset(31),     PPMF, 32, // Offset(31),    PPM Flags (Same as CFGD)
  Offset(35),     C67L, 8,  // Offset(35),    C6/C7 Entry/Exit latency
  //
  // SIO Configuration Registers:
  //
  Offset(36),     NATP, 8,  // Offset(36),    National SIO Present
  Offset(37),     CMAP, 8,  // Offset(37),    COM A Port
  Offset(38),     CMBP, 8,  // Offset(38),    COM B Port
  Offset(39),     LPTP, 8,  // Offset(39),    LPT Port
  Offset(40),     FDCP, 8,  // Offset(40),    FDC Port
  Offset(41),     CMCP, 8,  // Offset(41),    SMSC Com Port
  Offset(42),     CIRP, 8,  // Offset(42),    SMSC Com CIR Port
  Offset(43),     SMSC, 8,  // Offset(43),    SMSC1007 SIO Present
  Offset(44),     W381, 8,  // Offset(44),    WPCN381U SIO Present
  Offset(45),     SMC1, 8,  // Offset(45),    SMSC1000 SIO Present
  //
  // Extended Mobile Access Values
  //
  Offset(46),     EMAE, 8,  // Offset(46),    EMA Enable
  Offset(47),     EMAP, 16, // Offset(47),    EMA Pointer
  Offset(49),     EMAL, 16, // Offset(49),    EMA Length
  //
  // MEF Registers:
  //
  Offset(51),     MEFE, 8,  // Offset(51),    MEF Enable
  //
  // PCIe Dock Status:
  //
  Offset(52),     DSTS, 8,  // Offset(52),    PCIe Dock Status
  //
  // TPM Registers
  //
  Offset(53),     MORD, 8,  // Offset(53),    Memory Overwrite Request Data
  Offset(54),     TCGP, 8,  // Offset(54),    Used for save the Mor and/or physical presence paramter
  Offset(55),     PPRP, 32, // Offset(55),    Physical Presence request operation response
  Offset(59),     PPRQ, 8,  // Offset(59),    Physical Presence request operation
  Offset(60),     LPPR, 8,  // Offset(60),    Last Physical Presence request operation
  //
  // SATA Registers:
  //
  Offset(61),     IDEM, 8,  // Offset(61),    IDE Mode (Compatible\Enhanced)
  //
  // Board Id
  //
  Offset(62),     PLID, 8,  // Offset(62),    Platform id
  Offset(63),     BTYP, 8,  // Offset(63),    Board Type
  //
  // PCIe Hot Plug
  //
  Offset(64),     OSCC, 8,  // Offset(64),    PCIE OSC Control
  Offset(65),     NEXP, 8,  // Offset(65),    Native PCIE Setup Value
  //
  // USB Sideband Deferring Support
  //
  Offset(66),     SBV1, 8,  // Offset(66),    USB Sideband Deferring GPE Vector (HOST_ALERT#1)
  Offset(67),     SBV2, 8,  // Offset(67),    USB Sideband Deferring GPE Vector (HOST_ALERT#2)
  //
  // Embedded Controller Availability Flag.
  //
  Offset(68),     ECON, 8,  // Offset(68),    Embedded Controller Availability Flag.
  //
  // Global Variables
  //
  Offset(69),     DSEN, 8,  // Offset(69),    _DOS Display Support Flag.
  Offset(70),     GPIC, 8,  // Offset(70),    Global IOAPIC/8259 Interrupt Mode Flag.
  Offset(71),     CTYP, 8,  // Offset(71),    Global Cooling Type Flag.
  Offset(72),     L01C, 8,  // Offset(72),    Global L01 Counter.
  Offset(73),     VFN0, 8,  // Offset(73),    Virtual Fan0 Status.
  Offset(74),     VFN1, 8,  // Offset(74),    Virtual Fan1 Status.
  Offset(75),     VFN2, 8,  // Offset(75),    Virtual Fan2 Status.
  Offset(76),     VFN3, 8,  // Offset(76),    Virtual Fan3 Status.
  Offset(77),     VFN4, 8,  // Offset(77),    Virtual Fan4 Status.
  Offset(78),     VFN5, 8,  // Offset(78),    Virtual Fan5 Status.
  Offset(79),     VFN6, 8,  // Offset(79),    Virtual Fan6 Status.
  Offset(80),     VFN7, 8,  // Offset(80),    Virtual Fan7 Status.
  Offset(81),     VFN8, 8,  // Offset(81),    Virtual Fan8 Status.
  Offset(82),     VFN9, 8,  // Offset(82),    Virtual Fan9 Status.
  //
  // Thermal
  //
  Offset(83),     ATMC, 8,  // Offset(83),    Active Trip Point for MCH
  Offset(84),     PTMC, 8,  // Offset(84),    Passive Trip Point for MCH
  Offset(85),     PNHM, 32, // Offset(85),    CPUID Feature Information [EAX]
  Offset(89),     TBAL, 32, // Offset(89),    Reserved for Thermal Base Low Address for BIOS
  Offset(93),     TBAH, 32, // Offset(93),    Reserved for Thermal Base High Address for BIOS
  Offset(97),     TSOD, 8,  // Offset(97),    TS-on-DIMM is chosen in SETUP and present on the DIMM
  //
  // Board info
  //
  Offset(98),     PFLV, 8,  // Offset(98),    Platform Flavor
  Offset(99),     BREV, 16, // Offset(99),    Board Rev
  //
  // Package temperature
  //
  Offset(101),    PDTS, 8,  // Offset(101),   Package Temperature
  Offset(102),    PKGA, 8,  // Offset(102),   Package Temperature MSR available
  Offset(103),    PAMT, 8,  // Offset(103),   Peci Access Method
  Offset(104),    AC0F, 8,  // Offset(104),   _AC0 Fan Speed
  Offset(105),    AC1F, 8,  // Offset(105),   _AC1 Fan Speed
  Offset(106),    DTS3, 8,  // Offset(106),   Digital Thermal Sensor 3 Reading
  Offset(107),    DTS4, 8,  // Offset(107),   Digital Thermal Sensor 4 Reading
  //
  // XTU 3.0 Specification
  //
  Offset(108),    XTUB, 32, // Offset(108),   XTU Continous structure Base Address
  Offset(112),    XTUS, 32, // Offset(112),   XMP Size
  Offset(116),    XMPB, 32, // Offset(116),   XMP Base Address
  Offset(120),    DDRF, 8,  // Offset(120),   DDR Reference Frequency
  Offset(121),    RTD3, 8,  // Offset(121),   Runtime D3 support.
  Offset(122),    PEP0, 8,  // Offset(122),   User selctable Delay for Device D0 transition.
  Offset(123),    PEP3, 8,  // Offset(123),   User selctable Delay for Device D3 transition.
  //
  // DPTF Devices and trip points
  //
  Offset(124),    DPTF, 8,  // Offset(124),   EnableDptf
  Offset(125),    DCFE, 16, // Offset(125),   EnableDCFG
  Offset(127),    SADE, 8,  // Offset(127),   EnableSaDevice
  Offset(128),    SACT, 8,  // Offset(128),   CriticalThermalTripPointSa
  Offset(129),    SAHT, 8,  // Offset(129),   HotThermalTripPointSa
  Offset(130),    CPUS, 8,  // Offset(130),   ThermalSamplingPeriodSA
  //
  // DPTF Policies
  //
  Offset(131),    CTDP, 8,  // Offset(131),   EnableCtdpPolicy
  //
  // DPPM Devices and trip points
  //
  Offset(132),    FND1, 8,  // Offset(132),   EnableFan1Device
  Offset(133),    AMBD, 8,  // Offset(133),   EnableAmbientDevice
  Offset(134),    AMAT, 8,  // Offset(134),   ActiveThermalTripPointAmbient
  Offset(135),    AMPT, 8,  // Offset(135),   PassiveThermalTripPointAmbient
  Offset(136),    AMCT, 8,  // Offset(136),   CriticalThermalTripPointAmbient
  Offset(137),    AMHT, 8,  // Offset(137),   HotThermalTripPointAmbient
  Offset(138),    SKDE, 8,  // Offset(138),   EnableSkinDevice
  Offset(139),    SKAT, 8,  // Offset(139),   ActiveThermalTripPointSkin
  Offset(140),    SKPT, 8,  // Offset(140),   PassiveThermalTripPointSkin
  Offset(141),    SKCT, 8,  // Offset(141),   CriticalThermalTripPointSkin
  Offset(142),    SKHT, 8,  // Offset(142),   HotThermalTripPointSkin
  Offset(143),    EFDE, 8,  // Offset(143),   EnableExhaustFanDevice
  Offset(144),    EFAT, 8,  // Offset(144),   ActiveThermalTripPointExhaustFan
  Offset(145),    EFPT, 8,  // Offset(145),   PassiveThermalTripPointExhaustFan
  Offset(146),    EFCT, 8,  // Offset(146),   CriticalThermalTripPointExhaustFan
  Offset(147),    EFHT, 8,  // Offset(147),   HotThermalTripPointExhaustFan
  Offset(148),    VRDE, 8,  // Offset(148),   EnableVRDevice
  Offset(149),    VRAT, 8,  // Offset(149),   ActiveThermalTripPointVR
  Offset(150),    VRPT, 8,  // Offset(150),   PassiveThermalTripPointVR
  Offset(151),    VRCT, 8,  // Offset(151),   CriticalThermalTripPointVR
  Offset(152),    VRHT, 8,  // Offset(152),   HotThermalTripPointVR
  //
  // DPPM Policies
  //
  Offset(153),    DPAP, 8,  // Offset(153),   EnableActivePolicy
  Offset(154),    DPPP, 8,  // Offset(154),   EnablePassivePolicy
  Offset(155),    DPCP, 8,  // Offset(155),   EnableCriticalPolicy
  Offset(156),    PIDE, 8,  // Offset(156),   EnablePIDPolicy
  Offset(157),    TRTV, 8,  // Offset(157),   TrtRevision
  //
  // CLPO (Current Logical Processor Off lining Setting)
  //
  Offset(158),    LPOE, 8,  // Offset(158),   LPOEnable
  Offset(159),    LPOP, 8,  // Offset(159),   LPOStartPState
  Offset(160),    LPOS, 8,  // Offset(160),   LPOStepSize
  Offset(161),    LPOW, 8,  // Offset(161),   LPOPowerControlSetting
  Offset(162),    LPER, 8,  // Offset(162),   LPOPerformanceControlSetting
  //
  // Miscellaneous DPTF
  //
  Offset(163),    PPSZ, 32, // Offset(163),   PPCC Step Size
  Offset(167),    DISE, 8,  // Offset(167),   EnableDisplayParticipant
  //
  // BIOS Guard
  //
  Offset(168),    BGMA, 64, // Offset(168),   BIOS Guard Memory Address for Tool Interface
  Offset(176),    BGMS, 8,  // Offset(176),   BIOS Guard Memory Size for Tool Interface
  Offset(177),    BGIA, 16, // Offset(177),   BIOS Guard IoTrap Address for Tool Interface
  //
  // Never Sleep Technology
  //
  Offset(179),    IRMC, 8,  // Offset(179),   Irmt Configuration
  //
  // Comms Hub
  //
  Offset(180),    CHEN, 8,  // Offset(180),   Comms Hub Enable/Disable
  Offset(181),    S0ID, 8,  // Offset(181),   Low Power S0 Idle Enable
  //
  // BIOS only version of Config TDP
  //
  Offset(182),    CTDB, 8,  // Offset(182),   enable/disable BIOS only version of Config TDP
  Offset(183),    DKSM, 8,  // Offset(183),   Dock SMI number
  //
  // LPC SIO configuration
  //
  Offset(184),    SIO1, 16, // Offset(184),   SIO config port 1
  Offset(186),    SIO2, 16, // Offset(186),   SIO config port 2
  Offset(188),    SPBA, 16, // Offset(188),   SIO PME Base Address
  Offset(500),              // Offset(190) : Offset(499), Reserved bytes
  Offset(500),    WRFD, 8,  // Offset(500),   EnableWrlsParticipant
  Offset(501),    WRAT, 8,  // Offset(501),   ActiveThermalTripPointWrls
  Offset(502),    WRPT, 8,  // Offset(502),   PassiveThermalTripPointWrls
  Offset(503),    WRCT, 8,  // Offset(503),   CriticalThermalTripPointWrls
  Offset(504),    WRHT, 8,  // Offset(504),   HotThermalTripPointWrls
  Offset(505),    PWRE, 8,  // Offset(505),   EnablePowerParticipant
  Offset(506),        , 16, // Offset(506),   DPTFRsvd0
  Offset(508),    PPPR, 16, // Offset(508),   PowerParticipantPollingRate
  Offset(510),    PBPE, 8,  // Offset(510),   EnablePowerBossPolicy
  Offset(511),    VSPE, 8,  // Offset(511),   EnableVSPolicy
  Offset(512),    RFIM, 8,  // Offset(512),   RFI Mitigation
  Offset(515),              // Offset(513) : Offset(514), Reserved bytes
  Offset(515),    XHPR, 8,  // Offset(515),   RTD3 USB Power Resource config
  Offset(516),    RIC0, 8,  // Offset(516),   RTD3 support for I2C0 SH
  Offset(517),    GBSX, 8,  // Offset(517),   Virtual GPIO button Notify Sleep State Change
  Offset(518),    IUBE, 8,  // Offset(518),   IUER Button Enable
  Offset(519),    IUCE, 8,  // Offset(519),   IUER Convertible Enable
  Offset(520),    IUDE, 8,  // Offset(520),   IUER Dock Enable
  Offset(521),    ECNO, 8,  // Offset(521),   EC Notification of Low Power S0 Idle State
  Offset(522),    AUDD, 16, // Offset(522),   RTD3 Audio Codec device delay
  Offset(524),    SHBD, 16, // Offset(524),   RTD3 SensorHub delay time after applying power to device
  Offset(526),    TPND, 16, // Offset(526),   RTD3 TouchPanel delay time after applying power to device
  Offset(528),    TPDD, 16, // Offset(528),   RTD3 TouchPad delay time after applying power to device
  Offset(530),    VRRD, 16, // Offset(530),   VR Ramp up delay
  Offset(532),    PSCP, 8,  // Offset(532),   P-state Capping
  Offset(533),    I20D, 16, // Offset(533),   Delay in _PS0 after powering up I2C0 Controller
  Offset(535),    I21D, 16, // Offset(535),   Delay in _PS0 after powering up I2C1 Controller
  Offset(537),    RCG0, 16, // Offset(537),   RTD3 Config Setting0(BIT0:ZPODD, BIT1:Reserved, BIT2:PCIe NVMe, Bit4:SKL SDS SIP I2C Touch, BIT6:Card Reader, BIT7:WWAN)
  Offset(539),    RCG1, 16, // Offset(539),   RTD3 Config Setting1(BIT0:Sata Port0, BIT1:Sata Port1, BIT2:Sata Port2, BIT3:Sata Port3)
  Offset(541),    ECDB, 8,  // Offset(541),   EC Debug Light (CAPS LOCK) for when in Low Power S0 Idle State
  Offset(542),    P2ME, 8,  // Offset(542),   Ps2 Mouse Enable
  Offset(543),    P2MK, 8,  // Offset(543),   Ps2 Keyboard and Mouse Enable
  Offset(544),    SSH0, 16, // Offset(544),   SSCN-HIGH for I2C0
  Offset(546),    SSL0, 16, // Offset(546),   SSCN-LOW  for I2C0
  Offset(548),    SSD0, 16, // Offset(548),   SSCN-HOLD for I2C0
  Offset(550),    FMH0, 16, // Offset(550),   FMCN-HIGH for I2C0
  Offset(552),    FML0, 16, // Offset(552),   FMCN-LOW  for I2C0
  Offset(554),    FMD0, 16, // Offset(554),   FMCN-HOLD for I2C0
  Offset(556),    FPH0, 16, // Offset(556),   FPCN-HIGH for I2C0
  Offset(558),    FPL0, 16, // Offset(558),   FPCN-LOW  for I2C0
  Offset(560),    FPD0, 16, // Offset(560),   FPCN-HOLD for I2C0
  Offset(562),    HSH0, 16, // Offset(562),   HSCN-HIGH for I2C0
  Offset(564),    HSL0, 16, // Offset(564),   HSCN-LOW  for I2C0
  Offset(566),    HSD0, 16, // Offset(566),   HSCN-HOLD for I2C0
  Offset(573),              // Offset(568) : Offset(572), Reserved bytes
  Offset(573),    SSH1, 16, // Offset(573),   SSCN-HIGH for I2C1
  Offset(575),    SSL1, 16, // Offset(575),   SSCN-LOW  for I2C1
  Offset(577),    SSD1, 16, // Offset(577),   SSCN-HOLD for I2C1
  Offset(579),    FMH1, 16, // Offset(579),   FMCN-HIGH for I2C1
  Offset(581),    FML1, 16, // Offset(581),   FMCN-LOW  for I2C1
  Offset(583),    FMD1, 16, // Offset(583),   FMCN-HOLD for I2C1
  Offset(585),    FPH1, 16, // Offset(585),   FPCN-HIGH for I2C1
  Offset(587),    FPL1, 16, // Offset(587),   FPCN-LOW  for I2C1
  Offset(589),    FPD1, 16, // Offset(589),   FPCN-HOLD for I2C1
  Offset(591),    HSH1, 16, // Offset(591),   HSCN-HIGH for I2C1
  Offset(593),    HSL1, 16, // Offset(593),   HSCN-LOW  for I2C1
  Offset(595),    HSD1, 16, // Offset(595),   HSCN-HOLD for I2C1
  Offset(598),              // Offset(597) : Offset(597), Reserved bytes
  Offset(598),    SSH2, 16, // Offset(598),   SSCN-HIGH for I2C2
  Offset(600),    SSL2, 16, // Offset(600),   SSCN-LOW  for I2C2
  Offset(602),    SSD2, 16, // Offset(602),   SSCN-HOLD for I2C2
  Offset(604),    FMH2, 16, // Offset(604),   FMCN-HIGH for I2C2
  Offset(606),    FML2, 16, // Offset(606),   FMCN-LOW  for I2C2
  Offset(608),    FMD2, 16, // Offset(608),   FMCN-HOLD for I2C2
  Offset(610),    FPH2, 16, // Offset(610),   FPCN-HIGH for I2C2
  Offset(612),    FPL2, 16, // Offset(612),   FPCN-LOW  for I2C2
  Offset(614),    FPD2, 16, // Offset(614),   FPCN-HOLD for I2C2
  Offset(616),    HSH2, 16, // Offset(616),   HSCN-HIGH for I2C2
  Offset(618),    HSL2, 16, // Offset(618),   HSCN-LOW  for I2C2
  Offset(620),    HSD2, 16, // Offset(620),   HSCN-HOLD for I2C2
  Offset(623),              // Offset(622) : Offset(622), Reserved bytes
  Offset(623),    SSH3, 16, // Offset(623),   SSCN-HIGH for I2C3
  Offset(625),    SSL3, 16, // Offset(625),   SSCN-LOW  for I2C3
  Offset(627),    SSD3, 16, // Offset(627),   SSCN-HOLD for I2C3
  Offset(629),    FMH3, 16, // Offset(629),   FMCN-HIGH for I2C3
  Offset(631),    FML3, 16, // Offset(631),   FMCN-LOW  for I2C3
  Offset(633),    FMD3, 16, // Offset(633),   FMCN-HOLD for I2C3
  Offset(635),    FPH3, 16, // Offset(635),   FPCN-HIGH for I2C3
  Offset(637),    FPL3, 16, // Offset(637),   FPCN-LOW  for I2C3
  Offset(639),    FPD3, 16, // Offset(639),   FPCN-HOLD for I2C3
  Offset(641),    HSH3, 16, // Offset(641),   HSCN-HIGH for I2C3
  Offset(643),    HSL3, 16, // Offset(643),   HSCN-LOW  for I2C3
  Offset(645),    HSD3, 16, // Offset(645),   HSCN-HOLD for I2C3
  Offset(648),              // Offset(647) : Offset(647), Reserved bytes
  Offset(648),    SSH4, 16, // Offset(648),   SSCN-HIGH for I2C4
  Offset(650),    SSL4, 16, // Offset(650),   SSCN-LOW  for I2C4
  Offset(652),    SSD4, 16, // Offset(652),   SSCN-HOLD for I2C4
  Offset(654),    FMH4, 16, // Offset(654),   FMCN-HIGH for I2C4
  Offset(656),    FML4, 16, // Offset(656),   FMCN-LOW  for I2C4
  Offset(658),    FMD4, 16, // Offset(658),   FMCN-HOLD for I2C4
  Offset(660),    FPH4, 16, // Offset(660),   FPCN-HIGH for I2C4
  Offset(662),    FPL4, 16, // Offset(662),   FPCN-LOW  for I2C4
  Offset(664),    FPD4, 16, // Offset(664),   FPCN-HOLD for I2C4
  Offset(666),    HSH4, 16, // Offset(666),   HSCN-HIGH for I2C4
  Offset(668),    HSL4, 16, // Offset(668),   HSCN-LOW  for I2C4
  Offset(670),    HSD4, 16, // Offset(670),   HSCN-HOLD for I2C4
  Offset(673),              // Offset(672) : Offset(672), Reserved bytes
  Offset(673),    SSH5, 16, // Offset(673),   SSCN-HIGH for I2C5
  Offset(675),    SSL5, 16, // Offset(675),   SSCN-LOW  for I2C5
  Offset(677),    SSD5, 16, // Offset(677),   SSCN-HOLD for I2C5
  Offset(679),    FMH5, 16, // Offset(679),   FMCN-HIGH for I2C5
  Offset(681),    FML5, 16, // Offset(681),   FMCN-LOW  for I2C5
  Offset(683),    FMD5, 16, // Offset(683),   FMCN-HOLD for I2C5
  Offset(685),    FPH5, 16, // Offset(685),   FPCN-HIGH for I2C5
  Offset(687),    FPL5, 16, // Offset(687),   FPCN-LOW  for I2C5
  Offset(689),    FPD5, 16, // Offset(689),   FPCN-HOLD for I2C5
  Offset(691),    HSH5, 16, // Offset(691),   HSCN-HIGH for I2C5
  Offset(693),    HSL5, 16, // Offset(693),   HSCN-LOW  for I2C5
  Offset(695),    HSD5, 16, // Offset(695),   HSCN-HOLD for I2C5
  Offset(698),              // Offset(697) : Offset(697), Reserved bytes
  Offset(698),    M0C0, 16, // Offset(698),   M0D3 for I2C0
  Offset(700),    M1C0, 16, // Offset(700),   M1D3 for I2C0
  Offset(702),    M0C1, 16, // Offset(702),   M0D3 for I2C1
  Offset(704),    M1C1, 16, // Offset(704),   M1D3 for I2C1
  Offset(706),    M0C2, 16, // Offset(706),   M0D3 for I2C2
  Offset(708),    M1C2, 16, // Offset(708),   M1D3 for I2C2
  Offset(710),    M0C3, 16, // Offset(710),   M0D3 for I2C3
  Offset(712),    M1C3, 16, // Offset(712),   M1D3 for I2C3
  Offset(714),    M0C4, 16, // Offset(714),   M0D3 for I2C4
  Offset(716),    M1C4, 16, // Offset(716),   M1D3 for I2C4
  Offset(718),    M0C5, 16, // Offset(718),   M0D3 for I2C5
  Offset(720),    M1C5, 16, // Offset(720),   M1D3 for I2C5
  Offset(722),    M0C6, 16, // Offset(722),   M0D3 for SPI0
  Offset(724),    M1C6, 16, // Offset(724),   M1D3 for SPI0
  Offset(726),    M0C7, 16, // Offset(726),   M0D3 for SPI1
  Offset(728),    M1C7, 16, // Offset(728),   M1D3 for SPI1
  Offset(730),    M0C8, 16, // Offset(730),   M0D3 for SPI2
  Offset(732),    M1C8, 16, // Offset(732),   M1D3 for SPI2
  Offset(735),              // Offset(734) : Offset(734), Reserved bytes
  Offset(735),    M0C9, 16, // Offset(735),   M0D3 for UART0
  Offset(737),    M1C9, 16, // Offset(737),   M1D3 for UART0
  Offset(739),    M0CA, 16, // Offset(739),   M0D3 for UART1
  Offset(741),    M1CA, 16, // Offset(741),   M1D3 for UART1
  Offset(743),    M0CB, 16, // Offset(743),   M0D3 for UART2
  Offset(745),    M1CB, 16, // Offset(745),   M1D3 for UART2
  Offset(748),              // Offset(747) : Offset(747), Reserved bytes
  //
  // Driver Mode
  //
  Offset(748),    GIRQ, 32, // Offset(748),   GPIO IRQ
  Offset(752),    DMTP, 8,  // Offset(752),   PIRQS 34,50(GPIO)
  Offset(753),    DMTD, 8,  // Offset(753),   PIRQX 39,55(GPIO)
  Offset(754),    DMSH, 8,  // Offset(754),   PIRQM 28,14(GPIO)
  Offset(755),    SHSB, 8,  // Offset(755),   Sensor Standby mode
  Offset(756),    PLCS, 8,  // Offset(756),   set PL1 limit when entering CS
  Offset(757),    PLVL, 16, // Offset(757),   PL1 limit value
  Offset(759),    WWSD, 8,  // Offset(759),   EnableWwanTempSensorDevice
  Offset(760),    CVSD, 8,  // Offset(760),   EnableCpuVrTempSensorDevice
  Offset(761),    SSDD, 8,  // Offset(761),   EnableSsdTempSensorDevice
  Offset(762),    INLD, 8,  // Offset(762),   EnableInletFanTempSensorDevice
  Offset(763),    IFAT, 8,  // Offset(763),   ActiveThermalTripPointInletFan
  Offset(764),    IFPT, 8,  // Offset(764),   PassiveThermalTripPointInletFan
  Offset(765),    IFCT, 8,  // Offset(765),   CriticalThermalTripPointInletFan
  Offset(766),    IFHT, 8,  // Offset(766),   HotThermalTripPointInletFan
  Offset(767),    USBH, 8,  // Offset(767),   Sensor Hub Type - (0)None, (1)USB, (2)I2C Intel, (3)I2C STM
  Offset(768),    BCV4, 8,  // Offset(768),   Broadcom's Bluetooth adapter's revision
  Offset(769),    WTV0, 8,  // Offset(769),   I2C0/WITT devices version
  Offset(770),    WTV1, 8,  // Offset(770),   I2C1/WITT devices version
  Offset(771),    APFU, 8,  // Offset(771),   Atmel panel FW update Enable/Disable
  Offset(778),              // Offset(772) : Offset(777), Reserved bytes
  Offset(778),    PEPC, 32, // Offset(778),   PEP Constraints
  // Bit[1:0] - Storage (0:None, 1:Storage Controller, 2:Raid)
  // Bit[2]   - En/Dis UART0
  // Bit[3]   - En/Dis UART1
  // Bit[4]   - En/Dis PCIe NVMe/AHCI
  // Bit[5]   - En/Dis I2C0
  // Bit[6]   - En/Dis I2C1
  // Bit[7]   - En/Dis XHCI
  // Bit[8]   - En/Dis HD Audio (includes ADSP)
  // Bit[9]   - En/Dis Gfx
  // Bit[10]  - En/Dis CPU
  // Bit[11]  - En/Dis EMMC
  // Bit[12]  - En/Dis SDXC
  // Bit[13]  - En/Dis I2C2
  // Bit[14]  - En/Dis I2C3
  // Bit[15]  - En/Dis I2C4
  // Bit[16]  - En/Dis I2C5
  // Bit[17]  - En/Dis UART2
  // Bit[18]  - En/Dis SPI0
  // Bit[19]  - En/Dis SPI1
  // Bit[20]  - En/Dis SPI2
  // Bit[21]  - En/Dis IDA
  // Bit[22]  - En/Dis CSME
  // Bit[23]  - En/Dis I2C6
  // Bit[24]  - En/Dis I2C7
  // Bit[25]  - En/Dis THC0
  // Bit[26]  - En/Dis THC1
  // Bit[27]  - En/Dis ISI
  // Bit[28]  - En/Dis GBE TSN
  // Bit[29]  - En/Dis PSE
  Offset(782),    PEPS, 32, // Offset(782),   PEP Constraints 2
  // Bit[0]   - En/Dis PSE TSN
  // Bit[1]   - En/Dis PSE DMA
  // Bit[2]   - En/Dis PSE PWM
  // Bit[3]   - En/Dis PSE ADC
  // Bit[4]   - En/Dis PSE SPI0
  // Bit[5]   - En/Dis PSE SPI1
  // Bit[6]   - En/Dis PSE SPI2
  // Bit[7]   - En/Dis PSE SPI3
  // Bit[8]   - En/Dis PSE I2C0
  // Bit[9]   - En/Dis PSE I2C1
  // Bit[10]  - En/Dis PSE I2C2
  // Bit[11]  - En/Dis PSE I2C3
  // Bit[12]  - En/Dis PSE I2C4
  // Bit[13]  - En/Dis PSE I2C5
  // Bit[14]  - En/Dis PSE I2C6
  // Bit[15]  - En/Dis PSE I2C7
  // Bit[16]  - En/Dis PSE UART0
  // Bit[17]  - En/Dis PSE UART1
  // Bit[18]  - En/Dis PSE UART2
  // Bit[19]  - En/Dis PSE UART3
  // Bit[20]  - En/Dis PSE UART4
  // Bit[21]  - En/Dis PSE UART5
  // Bit[22]  - En/Dis PSE I2S0
  // Bit[23]  - En/Dis PSE I2S1
  // Bit[24]  - En/Dis PSE GPIO 0
  // Bit[25]  - En/Dis PSE GPIO 1
  // Bit[26]  - En/Dis PSE CAN 0
  // Bit[27]  - En/Dis PSE CAN 1
  // Bit[28]  - En/Dis PSE QEP 0
  // Bit[29]  - En/Dis PSE QEP 1
  // Bit[30]  - En/Dis PSE QEP 2
  // Bit[31]  - En/Dis PSE QEP 3
  Offset(786),    VRSD, 16, // Offset(786),   VR Staggering delay
  Offset(788),    PB1E, 8,  // Offset(788),   10sec Power button support
  // Bit0: 10 sec P-button Enable/Disable
  // Bit1: Internal Flag
  // Bit2: Rotation Lock flag, 0:unlock, 1:lock
  // Bit3: Slate/Laptop Mode Flag, 0: Slate, 1: Laptop
  // Bit4: Undock / Dock Flag, 0: Undock, 1: Dock
  // Bit5: VBDL Flag. 0: VBDL is not called, 1: VBDL is called, Virtual Button Driver is loaded.
  // Bit7-6: Reserved for future use.
  //
  // Generation Id(Tock/Tick)
  //
  Offset(789),    GNID, 8,  // Offset(789),   Generation Id(0=Shark bay, 1=Crescent Bay)
  //
  // DPTF
  //
  Offset(790),    WAND, 8,  // Offset(790),   EnableWWANParticipant
  Offset(791),    WWAT, 8,  // Offset(791),   ActiveThermalTripPointWWAN
  Offset(792),    WWPT, 8,  // Offset(792),   PassiveThermalTripPointWWAN
  Offset(793),    WWCT, 8,  // Offset(793),   CriticalThermalTripPointWWAN
  Offset(794),    WWHT, 8,  // Offset(794),   HotThermalTripPointWWAN
  Offset(807),              // Offset(795) : Offset(806), Reserved bytes
  Offset(807),    MPL0, 16, // Offset(807),   Minimum Power Limit 0 for DPTF use via PPCC Object
  Offset(809),    CHGE, 8,  // Offset(809),   EnableChargerParticipant
  Offset(810),    SAC3, 8,  // Offset(810),   CriticalThermalTripPointSaS3
  Offset(811),    AMC3, 8,  // Offset(811),   CriticalThermalTripPointAmbientS3
  Offset(812),    SKC3, 8,  // Offset(812),   CriticalThermalTripPointSkinS3
  Offset(813),    EFC3, 8,  // Offset(813),   CriticalThermalTripPointExhaustFanS3
  Offset(814),    VRC3, 8,  // Offset(814),   CriticalThermalTripPointVRS3
  Offset(815),    WLC3, 8,  // Offset(815),   CriticalThermalTripPointWrlsS3
  Offset(816),    IFC3, 8,  // Offset(816),   CriticalThermalTripPointInletFanS3
  Offset(817),    WWC3, 8,  // Offset(817),   CriticalThermalTripPointWWANS3
  Offset(818),    WGC3, 8,  // Offset(818),   CriticalThermalTripPointWGigS3
  Offset(819),    SPST, 8,  // Offset(819),   SATA port state, Bit0 - Port0, Bit1 - Port1, Bit2 - Port2, Bit3 - Port3
  //
  // DPTF
  //
  Offset(820),    CA2D, 8,  // Offset(820),   Enable2DCameraParticipant
  Offset(821),    BATR, 8,  // Offset(821),   EnableBatteryParticipant
  Offset(822),    ECLP, 8,  // Offset(822),   EC Low Power Mode: 1 - Enabled, 0 - Disabled
  Offset(823),    SSP1, 8,  // Offset(823),   SensorSamplingPeriodSen1
  Offset(824),    SSP2, 8,  // Offset(824),   SensorSamplingPeriodSen2
  Offset(825),    SSP3, 8,  // Offset(825),   SensorSamplingPeriodSen3
  Offset(826),    SSP4, 8,  // Offset(826),   SensorSamplingPeriodSen4
  Offset(827),    SSP5, 8,  // Offset(827),   SensorSamplingPeriodSen5
  Offset(828),    MEMS, 8,  // Offset(828),   ThermalSamplingPeriodTMEM @deprecated. Memory Participant is not POR for DPTF
  Offset(829),    SGE1, 8,  // Offset(829),   EnableStorageParticipantST1
  Offset(830),    SAT1, 8,  // Offset(830),   ActiveThermalTripPointST1
  Offset(831),    SPT1, 8,  // Offset(831),   PassiveThermalTripPointST1
  Offset(832),    SCT1, 8,  // Offset(832),   CriticalThermalTripPointST1
  Offset(833),    SC31, 8,  // Offset(833),   CriticalThermalTripPointS3ST1
  Offset(834),    SHT1, 8,  // Offset(834),   HotThermalTripPointST1
  Offset(835),    SGE2, 8,  // Offset(835),   EnableStorageParticipantST2
  Offset(836),    SAT2, 8,  // Offset(836),   ActiveThermalTripPointST2
  Offset(837),    SPT2, 8,  // Offset(837),   PassiveThermalTripPointST2
  Offset(838),    SCT2, 8,  // Offset(838),   CriticalThermalTripPointST2
  Offset(839),    SC32, 8,  // Offset(839),   CriticalThermalTripPointS3ST2
  Offset(840),    SHT2, 8,  // Offset(840),   HotThermalTripPointST2
  Offset(841),    VSP1, 8,  // Offset(841),   EnableVS1Participant
  Offset(842),    V1AT, 8,  // Offset(842),   ActiveThermalTripPointVS1
  Offset(843),    V1PV, 8,  // Offset(843),   PassiveThermalTripPointVS1
  Offset(844),    V1CR, 8,  // Offset(844),   CriticalThermalTripPointVS1
  Offset(845),    V1C3, 8,  // Offset(845),   CriticalThermalTripPointVS1S3
  Offset(846),    V1HT, 8,  // Offset(846),   HotThermalTripPointVS1
  Offset(847),    VSP2, 8,  // Offset(847),   EnableVS2Participant
  Offset(848),    V2AT, 8,  // Offset(848),   ActiveThermalTripPointVS2
  Offset(849),    V2PV, 8,  // Offset(849),   PassiveThermalTripPointVS2
  Offset(850),    V2CR, 8,  // Offset(850),   CriticalThermalTripPointVS2
  Offset(851),    V2C3, 8,  // Offset(851),   CriticalThermalTripPointVS2S3
  Offset(852),    V2HT, 8,  // Offset(852),   HotThermalTripPointVS2
  Offset(853),    S1DE, 8,  // Offset(853),   EnableSen1Participant
  Offset(854),    S1AT, 8,  // Offset(854),   ActiveThermalTripPointSen1
  Offset(855),    S1PT, 8,  // Offset(855),   PassiveThermalTripPointSen1
  Offset(856),    S1CT, 8,  // Offset(856),   CriticalThermalTripPointSen1
  Offset(857),    S1HT, 8,  // Offset(857),   HotThermalTripPointSen1
  Offset(858),    S2DE, 8,  // Offset(858),   EnableSen2Participant
  Offset(859),    S2AT, 8,  // Offset(859),   ActiveThermalTripPointSen2
  Offset(860),    S2PT, 8,  // Offset(860),   PassiveThermalTripPointSen2
  Offset(861),    S2CT, 8,  // Offset(861),   CriticalThermalTripPointSen2
  Offset(862),    S2HT, 8,  // Offset(862),   HotThermalTripPointSen2
  Offset(863),    S3DE, 8,  // Offset(863),   EnableSen3Participant
  Offset(864),    S3AT, 8,  // Offset(864),   ActiveThermalTripPointSen3
  Offset(865),    S3PT, 8,  // Offset(865),   PassiveThermalTripPointSen3
  Offset(866),    S3CT, 8,  // Offset(866),   CriticalThermalTripPointSen3
  Offset(867),    S3HT, 8,  // Offset(867),   HotThermalTripPointSen3
  Offset(868),    S4DE, 8,  // Offset(868),   EnableSen4Participant
  Offset(869),    S4AT, 8,  // Offset(869),   ActiveThermalTripPointSen4
  Offset(870),    S4PT, 8,  // Offset(870),   PassiveThermalTripPointSen4
  Offset(871),    S4CT, 8,  // Offset(871),   CriticalThermalTripPointSen4
  Offset(872),    S4HT, 8,  // Offset(872),   HotThermalTripPointSen4
  Offset(873),    S5DE, 8,  // Offset(873),   EnableSen5Participant
  Offset(874),    S5AT, 8,  // Offset(874),   ActiveThermalTripPointSen5
  Offset(875),    S5PT, 8,  // Offset(875),   PassiveThermalTripPointSen5
  Offset(876),    S5CT, 8,  // Offset(876),   CriticalThermalTripPointSen5
  Offset(877),    S5HT, 8,  // Offset(877),   HotThermalTripPointSen5
  Offset(878),    S1S3, 8,  // Offset(878),   CriticalThermalTripPointSen1S3
  Offset(879),    S2S3, 8,  // Offset(879),   CriticalThermalTripPointSen2S3
  Offset(880),    S3S3, 8,  // Offset(880),   CriticalThermalTripPointSen3S3
  Offset(881),    S4S3, 8,  // Offset(881),   CriticalThermalTripPointSen4S3
  Offset(882),    S5S3, 8,  // Offset(882),   CriticalThermalTripPointSen5S3
  Offset(883),    PSME, 8,  // Offset(883),   PowerSharingManagerEnable
  Offset(884),    PDT1, 8,  // Offset(884),   PsmSplcDomainType1
  Offset(885),    PLM1, 32, // Offset(885),   PsmSplcPowerLimit1
  Offset(889),    PTW1, 32, // Offset(889),   PsmSplcTimeWindow1
  Offset(893),    DDT1, 8,  // Offset(893),   PsmDplcDomainType1
  Offset(894),    DDP1, 8,  // Offset(894),   PsmDplcDomainPreference1
  Offset(895),    DLI1, 16, // Offset(895),   PsmDplcPowerLimitIndex1
  Offset(897),    DPL1, 16, // Offset(897),   PsmDplcDefaultPowerLimit1
  Offset(899),    DTW1, 32, // Offset(899),   PsmDplcDefaultTimeWindow1
  Offset(903),    DMI1, 16, // Offset(903),   PsmDplcMinimumPowerLimit1
  Offset(905),    DMA1, 16, // Offset(905),   PsmDplcMaximumPowerLimit1
  Offset(907),    DMT1, 16, // Offset(907),   PsmDplcMaximumTimeWindow1
  Offset(909),    WIFE, 8,  // Offset(909),   WifiEnable
  Offset(910),    DOM1, 8,  // Offset(910),   WifiDomainType1
  Offset(911),    LIM1, 16, // Offset(911),   WifiPowerLimit1
  Offset(913),    TIM1, 32, // Offset(913),   WifiTimeWindow1
  Offset(917),    TRD0, 8,  // Offset(917),   TRxDelay0
  Offset(918),    TRL0, 8,  // Offset(918),   TRxCableLength0
  Offset(919),    TRD1, 8,  // Offset(919),   TRxDelay1
  Offset(920),    TRL1, 8,  // Offset(920),   TRxCableLength1
  Offset(921),    WDM1, 8,  // Offset(921),   WrddDomainType1
  Offset(922),    CID1, 16, // Offset(922),   WrddCountryIndentifier1
  Offset(1018),             // Offset(924) : Offset(1017), Reserved bytes
  Offset(1018),   APPE, 8,  // Offset(1018),  Adaptive Performance Policy
  Offset(1019),   MPL1, 16, // Offset(1019),  Minimum Power Limit 1 for DPTF use via PPCC Object
  Offset(1021),   MPL2, 16, // Offset(1021),  Minimum Power Limit 2 for DPTF use via PPCC Object
  //
  // Intel Serial(R) IO Sensor Device Selection
  //
  Offset(1023),   SDS0, 8,  // Offset(1023),  SerialIo Devices for controller0
  Offset(1024),   SDS1, 8,  // Offset(1024),  SerialIo Devices for controller1
  Offset(1025),   SDS2, 8,  // Offset(1025),  SerialIo Devices for controller2
  Offset(1026),   SDS3, 8,  // Offset(1026),  SerialIo Devices for controller3
  Offset(1027),   SDS4, 8,  // Offset(1027),  SerialIo Devices for controller4
  Offset(1028),   SDS5, 8,  // Offset(1028),  SerialIo Devices for controller5
  Offset(1029),   SDS6, 8,  // Offset(1029),  SerialIo Devices for controller6
  Offset(1030),   SDS7, 8,  // Offset(1030),  SerialIo Devices for controller7
  Offset(1031),   SDS8, 8,  // Offset(1031),  SerialIo Devices for controller8
  Offset(1032),   SDS9, 8,  // Offset(1032),  SerialIo Devices for controller9
  Offset(1033),   SDSA, 8,  // Offset(1033),  SerialIo Devices for controller10
  Offset(1034),   TPLT, 8,  // Offset(1034),  I2C SerialIo Devices Type of TouchPanel
  Offset(1035),   TPLM, 8,  // Offset(1035),  I2C SerialIo Devices Interrupt Mode for TouchPanel
  Offset(1036),   TPLB, 8,  // Offset(1036),  I2C Custom TouchPanel's BUS Address
  Offset(1037),   TPLH, 16, // Offset(1037),  I2C Custom TouchPanel's HID Address
  Offset(1039),   TPLS, 8,  // Offset(1039),  I2C Custom TouchPanel's BUS Speed
  Offset(1040),   TPDT, 8,  // Offset(1040),  I2C SerialIo Devices Type of TouchPad
  Offset(1041),   TPDM, 8,  // Offset(1041),  I2C SerialIo Devices Interrupt Mode for TouchPad
  Offset(1042),   TPDB, 8,  // Offset(1042),  I2C Custom TouchPad's BUS Address
  Offset(1043),   TPDH, 16, // Offset(1043),  I2C Custom TouchPad's HID Address
  Offset(1045),   TPDS, 8,  // Offset(1045),  I2C Custom TouchPad's BUS Speed
  Offset(1046),   FPTT, 8,  // Offset(1046),  SPI SerialIo Devices Type of FingerPrint
  Offset(1047),   FPTM, 8,  // Offset(1047),  SPI SerialIo Devices Interrupt Mode for FingerPrint
  Offset(1048),   WTVX, 8,  // Offset(1048),  WITT test devices' version
  Offset(1049),   WITX, 8,  // Offset(1049),  WITT test devices' connection point
  Offset(1050),   GPTD, 8,  // Offset(1050),  GPIO test devices
  Offset(1051),   GDBT, 16, // Offset(1051),  GPIO test devices' debounce value,
  Offset(1053),   UTKX, 8,  // Offset(1053),  UTK test devices' connection point
  Offset(1054),   SPTD, 8,  // Offset(1054),  SerialIo additional test devices
  Offset(1055),   DMTX, 8,  // Offset(1055),  DMA Test Enable/Disable
  Offset(1066),             // Offset(1056) : Offset(1065), Reserved bytes
  Offset(1066),   ATLB, 32, // Offset(1066),  Buffer for runtime ACPI Table loading
  Offset(1070),   SDM0, 8,  // Offset(1070),  interrupt mode for controller0 devices
  Offset(1071),   SDM1, 8,  // Offset(1071),  interrupt mode for controller1 devices
  Offset(1072),   SDM2, 8,  // Offset(1072),  interrupt mode for controller2 devices
  Offset(1073),   SDM3, 8,  // Offset(1073),  interrupt mode for controller3 devices
  Offset(1074),   SDM4, 8,  // Offset(1074),  interrupt mode for controller4 devices
  Offset(1075),   SDM5, 8,  // Offset(1075),  interrupt mode for controller5 devices
  Offset(1076),   SDM6, 8,  // Offset(1076),  interrupt mode for controller6 devices
  Offset(1077),   SDM7, 8,  // Offset(1077),  interrupt mode for controller7 devices
  Offset(1078),   SDM8, 8,  // Offset(1078),  interrupt mode for controller8 devices
  Offset(1079),   SDM9, 8,  // Offset(1079),  interrupt mode for controller9 devices
  Offset(1080),   SDMA, 8,  // Offset(1080),  interrupt mode for controller10 devices
  Offset(1081),   SDMB, 8,  // Offset(1081),  interrupt mode for controller11 devices
  Offset(1083),             // Offset(1082) : Offset(1082), Reserved bytes
  Offset(1083),   USTP, 8,  // Offset(1083),  use SerialIo timing parameters
  Offset(1125),             // Offset(1084) : Offset(1124), Reserved bytes
  Offset(1125),   GFPS, 32, // Offset(1125),  Gpio for fingerprint sleep
  Offset(1129),   GFPI, 32, // Offset(1129),  Gpio for fingerprint irq
  Offset(1133),   WBBR, 32, // Offset(1133),  Gpio for modem reset
  Offset(1137),   GBTK, 32, // Offset(1137),  Gpio for Bluetooth RfKill
  Offset(1141),   GBTI, 32, // Offset(1141),  Gpio for Bluetooth interrupt
  Offset(1145),   GPDI, 32, // Offset(1145),  Gpio for touchPaD Interrupt
  Offset(1149),   GPLI, 32, // Offset(1149),  Gpio for touchPaneL Interrupt
  //
  // MipiCam specific
  //
  Offset(1153),   CL00, 8,  // Offset(1153),
  Offset(1154),   CL01, 8,  // Offset(1154),
  Offset(1155),   CL02, 8,  // Offset(1155),
  Offset(1156),   CL03, 8,  // Offset(1156),
  Offset(1157),   CL04, 8,  // Offset(1157),
  Offset(1158),   CL05, 8,  // Offset(1158),
  Offset(1159),   L0EN, 8,  // Offset(1159),
  Offset(1160),   L1EN, 8,  // Offset(1160),
  Offset(1161),   L2EN, 8,  // Offset(1161),
  Offset(1162),   L3EN, 8,  // Offset(1162),
  Offset(1163),   L4EN, 8,  // Offset(1163),
  Offset(1164),   L5EN, 8,  // Offset(1164),
  Offset(1165),   CDIV, 8,  // Offset(1165),
  // Control Logic 0 options
  Offset(1166),   C0VE, 8,  // Offset(1166),  Version of CLDB structure
  Offset(1167),   C0TP, 8,  // Offset(1167),  Type
  Offset(1168),   C0CV, 8,  // Offset(1168),  Version of CRD
  Offset(1169),   C0IC, 32, // Offset(1169),  Input Clock
  Offset(1173),   C0GP, 8,  // Offset(1173),  Number of GPIO Pins enabled
  Offset(1174),   C0IB, 8,  // Offset(1174),  I2C Serial Bus Number
  Offset(1175),   C0IA, 16, // Offset(1175),  I2C Address
  Offset(1177),   C0P0, 8,  // Offset(1177),  GPIO Group Pad Number
  Offset(1178),   C0P1, 8,  // Offset(1178),
  Offset(1179),   C0P2, 8,  // Offset(1179),
  Offset(1180),   C0P3, 8,  // Offset(1180),
  Offset(1181),   C0G0, 8,  // Offset(1181),  GPIO Group Number
  Offset(1182),   C0G1, 8,  // Offset(1182),
  Offset(1183),   C0G2, 8,  // Offset(1183),
  Offset(1184),   C0G3, 8,  // Offset(1184),
  Offset(1185),   C0F0, 8,  // Offset(1185),  GPIO Function
  Offset(1186),   C0F1, 8,  // Offset(1186),
  Offset(1187),   C0F2, 8,  // Offset(1187),
  Offset(1188),   C0F3, 8,  // Offset(1188),
  Offset(1189),   C0A0, 8,  // Offset(1189),  GPIO Active Value
  Offset(1190),   C0A1, 8,  // Offset(1190),
  Offset(1191),   C0A2, 8,  // Offset(1191),
  Offset(1192),   C0A3, 8,  // Offset(1192),
  Offset(1193),   C0I0, 8,  // Offset(1193),  GPIO Initial Value
  Offset(1194),   C0I1, 8,  // Offset(1194),
  Offset(1195),   C0I2, 8,  // Offset(1195),
  Offset(1196),   C0I3, 8,  // Offset(1196),
  Offset(1197),   C0PL, 8,  // Offset(1197),  Camera Position
  Offset(1198),   C0W0, 8,  // Offset(1198),  WLED1 Flash Max Current
  Offset(1199),   C0W1, 8,  // Offset(1199),  WLED1 Torch Max Current
  Offset(1200),   C0W2, 8,  // Offset(1200),  WLED2 Flash Max Current
  Offset(1201),   C0W3, 8,  // Offset(1201),  WLED2 Torch Max Current
  Offset(1202),   C0SP, 8,  // Offset(1202),  Sub Platform Id
  Offset(1203),   C0W4, 8,  // Offset(1203),  WLED1 Type
  Offset(1204),   C0W5, 8,  // Offset(1204),  WLED2 Type
  Offset(1205),   C0CS, 8,  // Offset(1205),  PCH Clock source
  // Control Logic 1 options
  Offset(1206),   C1VE, 8,  // Offset(1206),  Version of CLDB structure
  Offset(1207),   C1TP, 8,  // Offset(1207),  Type
  Offset(1208),   C1CV, 8,  // Offset(1208),  Version of CRD
  Offset(1209),   C1IC, 32, // Offset(1209),  Input Clock
  Offset(1213),   C1GP, 8,  // Offset(1213),  Number of GPIO Pins enabled
  Offset(1214),   C1IB, 8,  // Offset(1214),  I2C Serial Bus Number
  Offset(1215),   C1IA, 16, // Offset(1215),  I2C Address
  Offset(1217),   C1P0, 8,  // Offset(1217),  GPIO Group Pad Number
  Offset(1218),   C1P1, 8,  // Offset(1218),
  Offset(1219),   C1P2, 8,  // Offset(1219),
  Offset(1220),   C1P3, 8,  // Offset(1220),
  Offset(1221),   C1G0, 8,  // Offset(1221),  GPIO Group Number
  Offset(1222),   C1G1, 8,  // Offset(1222),
  Offset(1223),   C1G2, 8,  // Offset(1223),
  Offset(1224),   C1G3, 8,  // Offset(1224),
  Offset(1225),   C1F0, 8,  // Offset(1225),  GPIO Function
  Offset(1226),   C1F1, 8,  // Offset(1226),
  Offset(1227),   C1F2, 8,  // Offset(1227),
  Offset(1228),   C1F3, 8,  // Offset(1228),
  Offset(1229),   C1A0, 8,  // Offset(1229),  GPIO Active Value
  Offset(1230),   C1A1, 8,  // Offset(1230),
  Offset(1231),   C1A2, 8,  // Offset(1231),
  Offset(1232),   C1A3, 8,  // Offset(1232),
  Offset(1233),   C1I0, 8,  // Offset(1233),  GPIO Initial Value
  Offset(1234),   C1I1, 8,  // Offset(1234),
  Offset(1235),   C1I2, 8,  // Offset(1235),
  Offset(1236),   C1I3, 8,  // Offset(1236),
  Offset(1237),   C1PL, 8,  // Offset(1237),  Camera Position
  Offset(1238),   C1W0, 8,  // Offset(1238),  WLED1 Flash Max Current
  Offset(1239),   C1W1, 8,  // Offset(1239),  WLED1 Torch Max Current
  Offset(1240),   C1W2, 8,  // Offset(1240),  WLED2 Flash Max Current
  Offset(1241),   C1W3, 8,  // Offset(1241),  WLED2 Torch Max Current
  Offset(1242),   C1SP, 8,  // Offset(1242),  Sub Platform Id
  Offset(1243),   C1W4, 8,  // Offset(1243),  WLED1 Type
  Offset(1244),   C1W5, 8,  // Offset(1244),  WLED2 Type
  Offset(1245),   C1CS, 8,  // Offset(1245),  PCH Clock source
  // Control Logic 2 options
  Offset(1246),   C2VE, 8,  // Offset(1246),  Version of CLDB structure
  Offset(1247),   C2TP, 8,  // Offset(1247),  Type
  Offset(1248),   C2CV, 8,  // Offset(1248),  Version of CRD
  Offset(1249),   C2IC, 32, // Offset(1249),  Input Clock
  Offset(1253),   C2GP, 8,  // Offset(1253),  Number of GPIO Pins enabled
  Offset(1254),   C2IB, 8,  // Offset(1254),  I2C Serial Bus Number
  Offset(1255),   C2IA, 16, // Offset(1255),  I2C Address
  Offset(1257),   C2P0, 8,  // Offset(1257),  GPIO Group Pad Number
  Offset(1258),   C2P1, 8,  // Offset(1258),
  Offset(1259),   C2P2, 8,  // Offset(1259),
  Offset(1260),   C2P3, 8,  // Offset(1260),
  Offset(1261),   C2G0, 8,  // Offset(1261),  GPIO Group Number
  Offset(1262),   C2G1, 8,  // Offset(1262),
  Offset(1263),   C2G2, 8,  // Offset(1263),
  Offset(1264),   C2G3, 8,  // Offset(1264),
  Offset(1265),   C2F0, 8,  // Offset(1265),  GPIO Function
  Offset(1266),   C2F1, 8,  // Offset(1266),
  Offset(1267),   C2F2, 8,  // Offset(1267),
  Offset(1268),   C2F3, 8,  // Offset(1268),
  Offset(1269),   C2A0, 8,  // Offset(1269),  GPIO Active Value
  Offset(1270),   C2A1, 8,  // Offset(1270),
  Offset(1271),   C2A2, 8,  // Offset(1271),
  Offset(1272),   C2A3, 8,  // Offset(1272),
  Offset(1273),   C2I0, 8,  // Offset(1273),  GPIO Initial Value
  Offset(1274),   C2I1, 8,  // Offset(1274),
  Offset(1275),   C2I2, 8,  // Offset(1275),
  Offset(1276),   C2I3, 8,  // Offset(1276),
  Offset(1277),   C2PL, 8,  // Offset(1277),  Camera Position
  Offset(1278),   C2W0, 8,  // Offset(1278),  WLED1 Flash Max Current
  Offset(1279),   C2W1, 8,  // Offset(1279),  WLED1 Torch Max Current
  Offset(1280),   C2W2, 8,  // Offset(1280),  WLED2 Flash Max Current
  Offset(1281),   C2W3, 8,  // Offset(1281),  WLED2 Torch Max Current
  Offset(1282),   C2SP, 8,  // Offset(1282),  Sub Platform Id
  Offset(1283),   C2W4, 8,  // Offset(1283),  WLED1 Type
  Offset(1284),   C2W5, 8,  // Offset(1284),  WLED2 Type
  Offset(1285),   C2CS, 8,  // Offset(1285),  PCH Clock source
  // Control Logic 3 options
  Offset(1286),   C3VE, 8,  // Offset(1286),  Version of CLDB structure
  Offset(1287),   C3TP, 8,  // Offset(1287),  Type
  Offset(1288),   C3CV, 8,  // Offset(1288),  Version of CRD
  Offset(1289),   C3IC, 32, // Offset(1289),  Input Clock
  Offset(1293),   C3GP, 8,  // Offset(1293),  Number of GPIO Pins enabled
  Offset(1294),   C3IB, 8,  // Offset(1294),  I2C Serial Bus Number
  Offset(1295),   C3IA, 16, // Offset(1295),  I2C Address
  Offset(1297),   C3P0, 8,  // Offset(1297),  GPIO Group Pad Number
  Offset(1298),   C3P1, 8,  // Offset(1298),
  Offset(1299),   C3P2, 8,  // Offset(1299),
  Offset(1300),   C3P3, 8,  // Offset(1300),
  Offset(1301),   C3G0, 8,  // Offset(1301),  GPIO Group Number
  Offset(1302),   C3G1, 8,  // Offset(1302),
  Offset(1303),   C3G2, 8,  // Offset(1303),
  Offset(1304),   C3G3, 8,  // Offset(1304),
  Offset(1305),   C3F0, 8,  // Offset(1305),  GPIO Function
  Offset(1306),   C3F1, 8,  // Offset(1306),
  Offset(1307),   C3F2, 8,  // Offset(1307),
  Offset(1308),   C3F3, 8,  // Offset(1308),
  Offset(1309),   C3A0, 8,  // Offset(1309),  GPIO Active Value
  Offset(1310),   C3A1, 8,  // Offset(1310),
  Offset(1311),   C3A2, 8,  // Offset(1311),
  Offset(1312),   C3A3, 8,  // Offset(1312),
  Offset(1313),   C3I0, 8,  // Offset(1313),  GPIO Initial Value
  Offset(1314),   C3I1, 8,  // Offset(1314),
  Offset(1315),   C3I2, 8,  // Offset(1315),
  Offset(1316),   C3I3, 8,  // Offset(1316),
  Offset(1317),   C3PL, 8,  // Offset(1317),  Camera Position
  Offset(1318),   C3W0, 8,  // Offset(1318),  WLED1 Flash Max Current
  Offset(1319),   C3W1, 8,  // Offset(1319),  WLED1 Torch Max Current
  Offset(1320),   C3W2, 8,  // Offset(1320),  WLED2 Flash Max Current
  Offset(1321),   C3W3, 8,  // Offset(1321),  WLED2 Torch Max Current
  Offset(1322),   C3SP, 8,  // Offset(1322),  Sub Platform Id
  Offset(1323),   C3W4, 8,  // Offset(1323),  WLED1 Type
  Offset(1324),   C3W5, 8,  // Offset(1324),  WLED2 Type
  Offset(1325),   C3CS, 8,  // Offset(1325),  PCH Clock source
  // Control Logic 4 options
  Offset(1326),   C4VE, 8,  // Offset(1326),  Version of CLDB structure
  Offset(1327),   C4TP, 8,  // Offset(1327),  Type
  Offset(1328),   C4CV, 8,  // Offset(1328),  Version of CRD
  Offset(1329),   C4IC, 32, // Offset(1329),  Input Clock
  Offset(1333),   C4GP, 8,  // Offset(1333),  Number of GPIO Pins enabled
  Offset(1334),   C4IB, 8,  // Offset(1334),  I2C Serial Bus Number
  Offset(1335),   C4IA, 16, // Offset(1335),  I2C Address
  Offset(1337),   C4P0, 8,  // Offset(1337),  GPIO Group Pad Number
  Offset(1338),   C4P1, 8,  // Offset(1338),
  Offset(1339),   C4P2, 8,  // Offset(1339),
  Offset(1340),   C4P3, 8,  // Offset(1340),
  Offset(1341),   C4G0, 8,  // Offset(1341),  GPIO Group Number
  Offset(1342),   C4G1, 8,  // Offset(1342),
  Offset(1343),   C4G2, 8,  // Offset(1343),
  Offset(1344),   C4G3, 8,  // Offset(1344),
  Offset(1345),   C4F0, 8,  // Offset(1345),  GPIO Function
  Offset(1346),   C4F1, 8,  // Offset(1346),
  Offset(1347),   C4F2, 8,  // Offset(1347),
  Offset(1348),   C4F3, 8,  // Offset(1348),
  Offset(1349),   C4A0, 8,  // Offset(1349),  GPIO Active Value
  Offset(1350),   C4A1, 8,  // Offset(1350),
  Offset(1351),   C4A2, 8,  // Offset(1351),
  Offset(1352),   C4A3, 8,  // Offset(1352),
  Offset(1353),   C4I0, 8,  // Offset(1353),  GPIO Initial Value
  Offset(1354),   C4I1, 8,  // Offset(1354),
  Offset(1355),   C4I2, 8,  // Offset(1355),
  Offset(1356),   C4I3, 8,  // Offset(1356),
  Offset(1357),   C4PL, 8,  // Offset(1357),  Camera Position
  Offset(1358),   C4W0, 8,  // Offset(1358),  WLED1 Flash Max Current
  Offset(1359),   C4W1, 8,  // Offset(1359),  WLED1 Torch Max Current
  Offset(1360),   C4W2, 8,  // Offset(1360),  WLED2 Flash Max Current
  Offset(1361),   C4W3, 8,  // Offset(1361),  WLED2 Torch Max Current
  Offset(1362),   C4SP, 8,  // Offset(1362),  Sub Platform Id
  Offset(1363),   C4W4, 8,  // Offset(1363),  WLED1 Type
  Offset(1364),   C4W5, 8,  // Offset(1364),  WLED2 Type
  Offset(1365),   C4CS, 8,  // Offset(1365),  PCH Clock source
  // Control Logic 5 options
  Offset(1366),   C5VE, 8,  // Offset(1366),  Version of CLDB structure
  Offset(1367),   C5TP, 8,  // Offset(1367),  Type
  Offset(1368),   C5CV, 8,  // Offset(1368),  Version of CRD
  Offset(1369),   C5IC, 32, // Offset(1369),  Input Clock
  Offset(1373),   C5GP, 8,  // Offset(1373),  Number of GPIO Pins enabled
  Offset(1374),   C5IB, 8,  // Offset(1374),  I2C Serial Bus Number
  Offset(1375),   C5IA, 16, // Offset(1375),  I2C Address
  Offset(1377),   C5P0, 8,  // Offset(1377),  GPIO Group Pad Number
  Offset(1378),   C5P1, 8,  // Offset(1378),
  Offset(1379),   C5P2, 8,  // Offset(1379),
  Offset(1380),   C5P3, 8,  // Offset(1380),
  Offset(1381),   C5G0, 8,  // Offset(1381),  GPIO Group Number
  Offset(1382),   C5G1, 8,  // Offset(1382),
  Offset(1383),   C5G2, 8,  // Offset(1383),
  Offset(1384),   C5G3, 8,  // Offset(1384),
  Offset(1385),   C5F0, 8,  // Offset(1385),  GPIO Function
  Offset(1386),   C5F1, 8,  // Offset(1386),
  Offset(1387),   C5F2, 8,  // Offset(1387),
  Offset(1388),   C5F3, 8,  // Offset(1388),
  Offset(1389),   C5A0, 8,  // Offset(1389),  GPIO Active Value
  Offset(1390),   C5A1, 8,  // Offset(1390),
  Offset(1391),   C5A2, 8,  // Offset(1391),
  Offset(1392),   C5A3, 8,  // Offset(1392),
  Offset(1393),   C5I0, 8,  // Offset(1393),  GPIO Initial Value
  Offset(1394),   C5I1, 8,  // Offset(1394),
  Offset(1395),   C5I2, 8,  // Offset(1395),
  Offset(1396),   C5I3, 8,  // Offset(1396),
  Offset(1397),   C5PL, 8,  // Offset(1397),  Camera Position
  Offset(1398),   C5W0, 8,  // Offset(1398),  WLED1 Flash Max Current
  Offset(1399),   C5W1, 8,  // Offset(1399),  WLED1 Torch Max Current
  Offset(1400),   C5W2, 8,  // Offset(1400),  WLED2 Flash Max Current
  Offset(1401),   C5W3, 8,  // Offset(1401),  WLED2 Torch Max Current
  Offset(1402),   C5SP, 8,  // Offset(1402),  Sub Platform Id
  Offset(1403),   C5W4, 8,  // Offset(1403),  WLED1 Type
  Offset(1404),   C5W5, 8,  // Offset(1404),  WLED2 Type
  Offset(1405),   C5CS, 8,  // Offset(1405),  PCH Clock source
  // Mipi Cam Link0 options
  Offset(1406),   L0SM, 8,  // Offset(1406),  Sensor Model
  Offset(1407),   L0H0, 8,  // Offset(1407),  User defined HID ASCII character 0
  Offset(1408),   L0H1, 8,  // Offset(1408),
  Offset(1409),   L0H2, 8,  // Offset(1409),
  Offset(1410),   L0H3, 8,  // Offset(1410),
  Offset(1411),   L0H4, 8,  // Offset(1411),
  Offset(1412),   L0H5, 8,  // Offset(1412),
  Offset(1413),   L0H6, 8,  // Offset(1413),
  Offset(1414),   L0H7, 8,  // Offset(1414),
  Offset(1415),   L0H8, 8,  // Offset(1415),  User defined HID ASCII character 8
  Offset(1416),   L0PL, 8,  // Offset(1416),  Camera Position
  Offset(1417),   L0M0, 8,  // Offset(1417),  Camera Module Name ASCII character 0
  Offset(1418),   L0M1, 8,  // Offset(1418),
  Offset(1419),   L0M2, 8,  // Offset(1419),
  Offset(1420),   L0M3, 8,  // Offset(1420),
  Offset(1421),   L0M4, 8,  // Offset(1421),
  Offset(1422),   L0M5, 8,  // Offset(1422),
  Offset(1423),   L0M6, 8,  // Offset(1423),
  Offset(1424),   L0M7, 8,  // Offset(1424),
  Offset(1425),   L0M8, 8,  // Offset(1425),
  Offset(1426),   L0M9, 8,  // Offset(1426),
  Offset(1427),   L0MA, 8,  // Offset(1427),
  Offset(1428),   L0MB, 8,  // Offset(1428),
  Offset(1429),   L0MC, 8,  // Offset(1429),
  Offset(1430),   L0MD, 8,  // Offset(1430),
  Offset(1431),   L0ME, 8,  // Offset(1431),
  Offset(1432),   L0MF, 8,  // Offset(1432),  Camera Module Name ASCII character 15
  Offset(1433),   L0DI, 8,  // Offset(1433),  Number of I2C devices
  Offset(1434),   L0BS, 8,  // Offset(1434),  I2C Serial Bus number
  Offset(1435),   L0A0, 16, // Offset(1435),  Address of I2C Device0 on Link0
  Offset(1437),   L0A1, 16, // Offset(1437),  Address of I2C Device1 on Link0
  Offset(1439),   L0A2, 16, // Offset(1439),  Address of I2C Device2 on Link0
  Offset(1441),   L0A3, 16, // Offset(1441),  Address of I2C Device3 on Link0
  Offset(1443),   L0A4, 16, // Offset(1443),  Address of I2C Device4 on Link0
  Offset(1445),   L0A5, 16, // Offset(1445),  Address of I2C Device5 on Link0
  Offset(1447),   L0A6, 16, // Offset(1447),  Address of I2C Device6 on Link0
  Offset(1449),   L0A7, 16, // Offset(1449),  Address of I2C Device7 on Link0
  Offset(1451),   L0A8, 16, // Offset(1451),  Address of I2C Device8 on Link0
  Offset(1453),   L0A9, 16, // Offset(1453),  Address of I2C Device9 on Link0
  Offset(1455),   L0AA, 16, // Offset(1455),  Address of I2C Device10 on Link0
  Offset(1457),   L0AB, 16, // Offset(1457),  Address of I2C Device11 on Link0
  Offset(1459),   L0D0, 8,  // Offset(1459),  Type of I2C Device0 on Link0
  Offset(1460),   L0D1, 8,  // Offset(1460),  Type of I2C Device1 on Link0
  Offset(1461),   L0D2, 8,  // Offset(1461),  Type of I2C Device2 on Link0
  Offset(1462),   L0D3, 8,  // Offset(1462),  Type of I2C Device3 on Link0
  Offset(1463),   L0D4, 8,  // Offset(1463),  Type of I2C Device4 on Link0
  Offset(1464),   L0D5, 8,  // Offset(1464),  Type of I2C Device5 on Link0
  Offset(1465),   L0D6, 8,  // Offset(1465),  Type of I2C Device6 on Link0
  Offset(1466),   L0D7, 8,  // Offset(1466),  Type of I2C Device7 on Link0
  Offset(1467),   L0D8, 8,  // Offset(1467),  Type of I2C Device8 on Link0
  Offset(1468),   L0D9, 8,  // Offset(1468),  Type of I2C Device9 on Link0
  Offset(1469),   L0DA, 8,  // Offset(1469),  Type of I2C Device10 on Link0
  Offset(1470),   L0DB, 8,  // Offset(1470),  Type of I2C Device11 on Link0
  Offset(1471),   L0DV, 8,  // Offset(1471),  Version of SSDB structure
  Offset(1472),   L0CV, 8,  // Offset(1472),  Version of CRD
  Offset(1473),   L0LU, 8,  // Offset(1473),  CSI2 Link used
  Offset(1474),   L0NL, 8,  // Offset(1474),  MIPI-CSI2 Data Lane
  Offset(1475),   L0EE, 8,  // Offset(1475),  EEPROM Type
  Offset(1476),   L0VC, 8,  // Offset(1476),  VCM Type
  Offset(1477),   L0FS, 8,  // Offset(1477),  Flash Support
  Offset(1478),   L0LE, 8,  // Offset(1478),  Privacy LED
  Offset(1479),   L0DG, 8,  // Offset(1479),  Degree
  Offset(1480),   L0CK, 32, // Offset(1480),  MCLK
  Offset(1484),   L0CL, 8,  // Offset(1484),  Control Logic
  Offset(1485),   L0PP, 8,  // Offset(1485),  PMIC Position
  Offset(1486),   L0VR, 8,  // Offset(1486),  Voltage Rail
  Offset(1487),   L0PV, 8,  // Offset(1487),  PPR Value
  Offset(1488),   L0PU, 8,  // Offset(1488),  PPR Unit
  // Mipi Cam Link1 options
  Offset(1489),   L1SM, 8,  // Offset(1489),  Sensor Model
  Offset(1490),   L1H0, 8,  // Offset(1490),  User defined HID ASCII character 0
  Offset(1491),   L1H1, 8,  // Offset(1491),
  Offset(1492),   L1H2, 8,  // Offset(1492),
  Offset(1493),   L1H3, 8,  // Offset(1493),
  Offset(1494),   L1H4, 8,  // Offset(1494),
  Offset(1495),   L1H5, 8,  // Offset(1495),
  Offset(1496),   L1H6, 8,  // Offset(1496),
  Offset(1497),   L1H7, 8,  // Offset(1497),
  Offset(1498),   L1H8, 8,  // Offset(1498),  User defined HID ASCII character 8
  Offset(1499),   L1PL, 8,  // Offset(1499),  Camera Position
  Offset(1500),   L1M0, 8,  // Offset(1500),  Camera Module Name ASCII character 0
  Offset(1501),   L1M1, 8,  // Offset(1501),
  Offset(1502),   L1M2, 8,  // Offset(1502),
  Offset(1503),   L1M3, 8,  // Offset(1503),
  Offset(1504),   L1M4, 8,  // Offset(1504),
  Offset(1505),   L1M5, 8,  // Offset(1505),
  Offset(1506),   L1M6, 8,  // Offset(1506),
  Offset(1507),   L1M7, 8,  // Offset(1507),
  Offset(1508),   L1M8, 8,  // Offset(1508),
  Offset(1509),   L1M9, 8,  // Offset(1509),
  Offset(1510),   L1MA, 8,  // Offset(1510),
  Offset(1511),   L1MB, 8,  // Offset(1511),
  Offset(1512),   L1MC, 8,  // Offset(1512),
  Offset(1513),   L1MD, 8,  // Offset(1513),
  Offset(1514),   L1ME, 8,  // Offset(1514),
  Offset(1515),   L1MF, 8,  // Offset(1515),  Camera Module Name ASCII character 15
  Offset(1516),   L1DI, 8,  // Offset(1516),  Number of I2C devices
  Offset(1517),   L1BS, 8,  // Offset(1517),  I2C Serial Bus number
  Offset(1518),   L1A0, 16, // Offset(1518),  Address of I2C Device0 on Link1
  Offset(1520),   L1A1, 16, // Offset(1520),  Address of I2C Device1 on Link1
  Offset(1522),   L1A2, 16, // Offset(1522),  Address of I2C Device2 on Link1
  Offset(1524),   L1A3, 16, // Offset(1524),  Address of I2C Device3 on Link1
  Offset(1526),   L1A4, 16, // Offset(1526),  Address of I2C Device4 on Link1
  Offset(1528),   L1A5, 16, // Offset(1528),  Address of I2C Device5 on Link1
  Offset(1530),   L1A6, 16, // Offset(1530),  Address of I2C Device6 on Link1
  Offset(1532),   L1A7, 16, // Offset(1532),  Address of I2C Device7 on Link1
  Offset(1534),   L1A8, 16, // Offset(1534),  Address of I2C Device8 on Link1
  Offset(1536),   L1A9, 16, // Offset(1536),  Address of I2C Device9 on Link1
  Offset(1538),   L1AA, 16, // Offset(1538),  Address of I2C Device10 on Link1
  Offset(1540),   L1AB, 16, // Offset(1540),  Address of I2C Device11 on Link1
  Offset(1542),   L1D0, 8,  // Offset(1542),  Type of I2C Device0 on Link1
  Offset(1543),   L1D1, 8,  // Offset(1543),  Type of I2C Device1 on Link1
  Offset(1544),   L1D2, 8,  // Offset(1544),  Type of I2C Device2 on Link1
  Offset(1545),   L1D3, 8,  // Offset(1545),  Type of I2C Device3 on Link1
  Offset(1546),   L1D4, 8,  // Offset(1546),  Type of I2C Device4 on Link1
  Offset(1547),   L1D5, 8,  // Offset(1547),  Type of I2C Device5 on Link1
  Offset(1548),   L1D6, 8,  // Offset(1548),  Type of I2C Device6 on Link1
  Offset(1549),   L1D7, 8,  // Offset(1549),  Type of I2C Device7 on Link1
  Offset(1550),   L1D8, 8,  // Offset(1550),  Type of I2C Device8 on Link1
  Offset(1551),   L1D9, 8,  // Offset(1551),  Type of I2C Device9 on Link1
  Offset(1552),   L1DA, 8,  // Offset(1552),  Type of I2C Device10 on Link1
  Offset(1553),   L1DB, 8,  // Offset(1553),  Type of I2C Device11 on Link1
  Offset(1554),   L1DV, 8,  // Offset(1554),  Version of SSDB structure
  Offset(1555),   L1CV, 8,  // Offset(1555),  Version of CRD
  Offset(1556),   L1LU, 8,  // Offset(1556),  CSI2 Link used
  Offset(1557),   L1NL, 8,  // Offset(1557),  MIPI-CSI2 Data Lane
  Offset(1558),   L1EE, 8,  // Offset(1558),  EEPROM Type
  Offset(1559),   L1VC, 8,  // Offset(1559),  VCM Type
  Offset(1560),   L1FS, 8,  // Offset(1560),  Flash Support
  Offset(1561),   L1LE, 8,  // Offset(1561),  Privacy LED
  Offset(1562),   L1DG, 8,  // Offset(1562),  Degree
  Offset(1563),   L1CK, 32, // Offset(1563),  MCLK
  Offset(1567),   L1CL, 8,  // Offset(1567),  Control Logic
  Offset(1568),   L1PP, 8,  // Offset(1568),  PMIC Position
  Offset(1569),   L1VR, 8,  // Offset(1569),  Voltage Rail
  Offset(1570),   L1PV, 8,  // Offset(1570),  PPR Value
  Offset(1571),   L1PU, 8,  // Offset(1571),  PPR Unit
  // Mipi Cam Link2 options
  Offset(1572),   L2SM, 8,  // Offset(1572),  Sensor Model
  Offset(1573),   L2H0, 8,  // Offset(1573),  User defined HID ASCII character 0
  Offset(1574),   L2H1, 8,  // Offset(1574),
  Offset(1575),   L2H2, 8,  // Offset(1575),
  Offset(1576),   L2H3, 8,  // Offset(1576),
  Offset(1577),   L2H4, 8,  // Offset(1577),
  Offset(1578),   L2H5, 8,  // Offset(1578),
  Offset(1579),   L2H6, 8,  // Offset(1579),
  Offset(1580),   L2H7, 8,  // Offset(1580),
  Offset(1581),   L2H8, 8,  // Offset(1581),  User defined HID ASCII character 8
  Offset(1582),   L2PL, 8,  // Offset(1582),  Camera Position
  Offset(1583),   L2M0, 8,  // Offset(1583),  Camera Module Name ASCII character 0
  Offset(1584),   L2M1, 8,  // Offset(1584),
  Offset(1585),   L2M2, 8,  // Offset(1585),
  Offset(1586),   L2M3, 8,  // Offset(1586),
  Offset(1587),   L2M4, 8,  // Offset(1587),
  Offset(1588),   L2M5, 8,  // Offset(1588),
  Offset(1589),   L2M6, 8,  // Offset(1589),
  Offset(1590),   L2M7, 8,  // Offset(1590),
  Offset(1591),   L2M8, 8,  // Offset(1591),
  Offset(1592),   L2M9, 8,  // Offset(1592),
  Offset(1593),   L2MA, 8,  // Offset(1593),
  Offset(1594),   L2MB, 8,  // Offset(1594),
  Offset(1595),   L2MC, 8,  // Offset(1595),
  Offset(1596),   L2MD, 8,  // Offset(1596),
  Offset(1597),   L2ME, 8,  // Offset(1597),
  Offset(1598),   L2MF, 8,  // Offset(1598),  Camera Module Name ASCII character 15
  Offset(1599),   L2DI, 8,  // Offset(1599),  Number of I2C devices
  Offset(1600),   L2BS, 8,  // Offset(1600),  I2C Serial Bus number
  Offset(1601),   L2A0, 16, // Offset(1601),  Address of I2C Device0 on Link2
  Offset(1603),   L2A1, 16, // Offset(1603),  Address of I2C Device1 on Link2
  Offset(1605),   L2A2, 16, // Offset(1605),  Address of I2C Device2 on Link2
  Offset(1607),   L2A3, 16, // Offset(1607),  Address of I2C Device3 on Link2
  Offset(1609),   L2A4, 16, // Offset(1609),  Address of I2C Device4 on Link2
  Offset(1611),   L2A5, 16, // Offset(1611),  Address of I2C Device5 on Link2
  Offset(1613),   L2A6, 16, // Offset(1613),  Address of I2C Device6 on Link2
  Offset(1615),   L2A7, 16, // Offset(1615),  Address of I2C Device7 on Link2
  Offset(1617),   L2A8, 16, // Offset(1617),  Address of I2C Device8 on Link2
  Offset(1619),   L2A9, 16, // Offset(1619),  Address of I2C Device9 on Link2
  Offset(1621),   L2AA, 16, // Offset(1621),  Address of I2C Device10 on Link2
  Offset(1623),   L2AB, 16, // Offset(1623),  Address of I2C Device11 on Link2
  Offset(1625),   L2D0, 8,  // Offset(1625),  Type of I2C Device0 on Link2
  Offset(1626),   L2D1, 8,  // Offset(1626),  Type of I2C Device1 on Link2
  Offset(1627),   L2D2, 8,  // Offset(1627),  Type of I2C Device2 on Link2
  Offset(1628),   L2D3, 8,  // Offset(1628),  Type of I2C Device3 on Link2
  Offset(1629),   L2D4, 8,  // Offset(1629),  Type of I2C Device4 on Link2
  Offset(1630),   L2D5, 8,  // Offset(1630),  Type of I2C Device5 on Link2
  Offset(1631),   L2D6, 8,  // Offset(1631),  Type of I2C Device6 on Link2
  Offset(1632),   L2D7, 8,  // Offset(1632),  Type of I2C Device7 on Link2
  Offset(1633),   L2D8, 8,  // Offset(1633),  Type of I2C Device8 on Link2
  Offset(1634),   L2D9, 8,  // Offset(1634),  Type of I2C Device9 on Link2
  Offset(1635),   L2DA, 8,  // Offset(1635),  Type of I2C Device10 on Link2
  Offset(1636),   L2DB, 8,  // Offset(1636),  Type of I2C Device11 on Link2
  Offset(1637),   L2DV, 8,  // Offset(1637),  Version of SSDB structure
  Offset(1638),   L2CV, 8,  // Offset(1638),  Version of CRD
  Offset(1639),   L2LU, 8,  // Offset(1639),  CSI2 Link used
  Offset(1640),   L2NL, 8,  // Offset(1640),  MIPI-CSI2 Data Lane
  Offset(1641),   L2EE, 8,  // Offset(1641),  EEPROM Type
  Offset(1642),   L2VC, 8,  // Offset(1642),  VCM Type
  Offset(1643),   L2FS, 8,  // Offset(1643),  Flash Support
  Offset(1644),   L2LE, 8,  // Offset(1644),  Privacy LED
  Offset(1645),   L2DG, 8,  // Offset(1645),  Degree
  Offset(1646),   L2CK, 32, // Offset(1646),  MCLK
  Offset(1650),   L2CL, 8,  // Offset(1650),  Control Logic
  Offset(1651),   L2PP, 8,  // Offset(1651),  PMIC Position
  Offset(1652),   L2VR, 8,  // Offset(1652),  Voltage Rail
  Offset(1653),   L2PV, 8,  // Offset(1653),  PPR Value
  Offset(1654),   L2PU, 8,  // Offset(1654),  PPR Unit
  // Mipi Cam Link3 options
  Offset(1655),   L3SM, 8,  // Offset(1655),  Sensor Model
  Offset(1656),   L3H0, 8,  // Offset(1656),  User defined HID ASCII character 0
  Offset(1657),   L3H1, 8,  // Offset(1657),
  Offset(1658),   L3H2, 8,  // Offset(1658),
  Offset(1659),   L3H3, 8,  // Offset(1659),
  Offset(1660),   L3H4, 8,  // Offset(1660),
  Offset(1661),   L3H5, 8,  // Offset(1661),
  Offset(1662),   L3H6, 8,  // Offset(1662),
  Offset(1663),   L3H7, 8,  // Offset(1663),
  Offset(1664),   L3H8, 8,  // Offset(1664),  User defined HID ASCII character 8
  Offset(1665),   L3PL, 8,  // Offset(1665),  Camera Position
  Offset(1666),   L3M0, 8,  // Offset(1666),  Camera Module Name ASCII character 0
  Offset(1667),   L3M1, 8,  // Offset(1667),
  Offset(1668),   L3M2, 8,  // Offset(1668),
  Offset(1669),   L3M3, 8,  // Offset(1669),
  Offset(1670),   L3M4, 8,  // Offset(1670),
  Offset(1671),   L3M5, 8,  // Offset(1671),
  Offset(1672),   L3M6, 8,  // Offset(1672),
  Offset(1673),   L3M7, 8,  // Offset(1673),
  Offset(1674),   L3M8, 8,  // Offset(1674),
  Offset(1675),   L3M9, 8,  // Offset(1675),
  Offset(1676),   L3MA, 8,  // Offset(1676),
  Offset(1677),   L3MB, 8,  // Offset(1677),
  Offset(1678),   L3MC, 8,  // Offset(1678),
  Offset(1679),   L3MD, 8,  // Offset(1679),
  Offset(1680),   L3ME, 8,  // Offset(1680),
  Offset(1681),   L3MF, 8,  // Offset(1681),  Camera Module Name ASCII character 15
  Offset(1682),   L3DI, 8,  // Offset(1682),  Number of I2C devices
  Offset(1683),   L3BS, 8,  // Offset(1683),  I2C Serial Bus number
  Offset(1684),   L3A0, 16, // Offset(1684),  Address of I2C Device0 on Link3
  Offset(1686),   L3A1, 16, // Offset(1686),  Address of I2C Device1 on Link3
  Offset(1688),   L3A2, 16, // Offset(1688),  Address of I2C Device2 on Link3
  Offset(1690),   L3A3, 16, // Offset(1690),  Address of I2C Device3 on Link3
  Offset(1692),   L3A4, 16, // Offset(1692),  Address of I2C Device4 on Link3
  Offset(1694),   L3A5, 16, // Offset(1694),  Address of I2C Device5 on Link3
  Offset(1696),   L3A6, 16, // Offset(1696),  Address of I2C Device6 on Link3
  Offset(1698),   L3A7, 16, // Offset(1698),  Address of I2C Device7 on Link3
  Offset(1700),   L3A8, 16, // Offset(1700),  Address of I2C Device8 on Link3
  Offset(1702),   L3A9, 16, // Offset(1702),  Address of I2C Device9 on Link3
  Offset(1704),   L3AA, 16, // Offset(1704),  Address of I2C Device10 on Link3
  Offset(1706),   L3AB, 16, // Offset(1706),  Address of I2C Device11 on Link3
  Offset(1708),   L3D0, 8,  // Offset(1708),  Type of I2C Device0 on Link3
  Offset(1709),   L3D1, 8,  // Offset(1709),  Type of I2C Device1 on Link3
  Offset(1710),   L3D2, 8,  // Offset(1710),  Type of I2C Device2 on Link3
  Offset(1711),   L3D3, 8,  // Offset(1711),  Type of I2C Device3 on Link3
  Offset(1712),   L3D4, 8,  // Offset(1712),  Type of I2C Device4 on Link3
  Offset(1713),   L3D5, 8,  // Offset(1713),  Type of I2C Device5 on Link3
  Offset(1714),   L3D6, 8,  // Offset(1714),  Type of I2C Device6 on Link3
  Offset(1715),   L3D7, 8,  // Offset(1715),  Type of I2C Device7 on Link3
  Offset(1716),   L3D8, 8,  // Offset(1716),  Type of I2C Device8 on Link3
  Offset(1717),   L3D9, 8,  // Offset(1717),  Type of I2C Device9 on Link3
  Offset(1718),   L3DA, 8,  // Offset(1718),  Type of I2C Device10 on Link3
  Offset(1719),   L3DB, 8,  // Offset(1719),  Type of I2C Device11 on Link3
  Offset(1720),   L3DV, 8,  // Offset(1720),  Version of SSDB structure
  Offset(1721),   L3CV, 8,  // Offset(1721),  Version of CRD
  Offset(1722),   L3LU, 8,  // Offset(1722),  CSI2 Link used
  Offset(1723),   L3NL, 8,  // Offset(1723),  MIPI-CSI2 Data Lane
  Offset(1724),   L3EE, 8,  // Offset(1724),  EEPROM Type
  Offset(1725),   L3VC, 8,  // Offset(1725),  VCM Type
  Offset(1726),   L3FS, 8,  // Offset(1726),  Flash Support
  Offset(1727),   L3LE, 8,  // Offset(1727),  Privacy LED
  Offset(1728),   L3DG, 8,  // Offset(1728),  Degree
  Offset(1729),   L3CK, 32, // Offset(1729),  MCLK
  Offset(1733),   L3CL, 8,  // Offset(1733),  Control Logic
  Offset(1734),   L3PP, 8,  // Offset(1734),  PMIC Position
  Offset(1735),   L3VR, 8,  // Offset(1735),  Voltage Rail
  Offset(1736),   L3PV, 8,  // Offset(1736),  PPR Value
  Offset(1737),   L3PU, 8,  // Offset(1737),  PPR Unit
  // Mipi Cam Link4 options
  Offset(1738),   L4SM, 8,  // Offset(1738),  Sensor Model
  Offset(1739),   L4H0, 8,  // Offset(1739),  User defined HID ASCII character 0
  Offset(1740),   L4H1, 8,  // Offset(1740),
  Offset(1741),   L4H2, 8,  // Offset(1741),
  Offset(1742),   L4H3, 8,  // Offset(1742),
  Offset(1743),   L4H4, 8,  // Offset(1743),
  Offset(1744),   L4H5, 8,  // Offset(1744),
  Offset(1745),   L4H6, 8,  // Offset(1745),
  Offset(1746),   L4H7, 8,  // Offset(1746),
  Offset(1747),   L4H8, 8,  // Offset(1747),  User defined HID ASCII character 8
  Offset(1748),   L4PL, 8,  // Offset(1748),  Camera Position
  Offset(1749),   L4M0, 8,  // Offset(1749),  Camera Module Name ASCII character 0
  Offset(1750),   L4M1, 8,  // Offset(1750),
  Offset(1751),   L4M2, 8,  // Offset(1751),
  Offset(1752),   L4M3, 8,  // Offset(1752),
  Offset(1753),   L4M4, 8,  // Offset(1753),
  Offset(1754),   L4M5, 8,  // Offset(1754),
  Offset(1755),   L4M6, 8,  // Offset(1755),
  Offset(1756),   L4M7, 8,  // Offset(1756),
  Offset(1757),   L4M8, 8,  // Offset(1757),
  Offset(1758),   L4M9, 8,  // Offset(1758),
  Offset(1759),   L4MA, 8,  // Offset(1759),
  Offset(1760),   L4MB, 8,  // Offset(1760),
  Offset(1761),   L4MC, 8,  // Offset(1761),
  Offset(1762),   L4MD, 8,  // Offset(1762),
  Offset(1763),   L4ME, 8,  // Offset(1763),
  Offset(1764),   L4MF, 8,  // Offset(1764),  Camera Module Name ASCII character 15
  Offset(1765),   L4DI, 8,  // Offset(1765),  Number of I2C devices
  Offset(1766),   L4BS, 8,  // Offset(1766),  I2C Serial Bus number
  Offset(1767),   L4A0, 16, // Offset(1767),  Address of I2C Device0 on Link4
  Offset(1769),   L4A1, 16, // Offset(1769),  Address of I2C Device1 on Link4
  Offset(1771),   L4A2, 16, // Offset(1771),  Address of I2C Device2 on Link4
  Offset(1773),   L4A3, 16, // Offset(1773),  Address of I2C Device3 on Link4
  Offset(1775),   L4A4, 16, // Offset(1775),  Address of I2C Device4 on Link4
  Offset(1777),   L4A5, 16, // Offset(1777),  Address of I2C Device5 on Link4
  Offset(1779),   L4A6, 16, // Offset(1779),  Address of I2C Device6 on Link4
  Offset(1781),   L4A7, 16, // Offset(1781),  Address of I2C Device7 on Link4
  Offset(1783),   L4A8, 16, // Offset(1783),  Address of I2C Device8 on Link4
  Offset(1785),   L4A9, 16, // Offset(1785),  Address of I2C Device9 on Link4
  Offset(1787),   L4AA, 16, // Offset(1787),  Address of I2C Device10 on Link4
  Offset(1789),   L4AB, 16, // Offset(1789),  Address of I2C Device11 on Link4
  Offset(1791),   L4D0, 8,  // Offset(1791),  Type of I2C Device0 on Link4
  Offset(1792),   L4D1, 8,  // Offset(1792),  Type of I2C Device1 on Link4
  Offset(1793),   L4D2, 8,  // Offset(1793),  Type of I2C Device2 on Link4
  Offset(1794),   L4D3, 8,  // Offset(1794),  Type of I2C Device3 on Link4
  Offset(1795),   L4D4, 8,  // Offset(1795),  Type of I2C Device4 on Link4
  Offset(1796),   L4D5, 8,  // Offset(1796),  Type of I2C Device5 on Link4
  Offset(1797),   L4D6, 8,  // Offset(1797),  Type of I2C Device6 on Link4
  Offset(1798),   L4D7, 8,  // Offset(1798),  Type of I2C Device7 on Link4
  Offset(1799),   L4D8, 8,  // Offset(1799),  Type of I2C Device8 on Link4
  Offset(1800),   L4D9, 8,  // Offset(1800),  Type of I2C Device9 on Link4
  Offset(1801),   L4DA, 8,  // Offset(1801),  Type of I2C Device10 on Link4
  Offset(1802),   L4DB, 8,  // Offset(1802),  Type of I2C Device11 on Link4
  Offset(1803),   L4DV, 8,  // Offset(1803),  Version of SSDB structure
  Offset(1804),   L4CV, 8,  // Offset(1804),  Version of CRD
  Offset(1805),   L4LU, 8,  // Offset(1805),  CSI2 Link used
  Offset(1806),   L4NL, 8,  // Offset(1806),  MIPI-CSI2 Data Lane
  Offset(1807),   L4EE, 8,  // Offset(1807),  EEPROM Type
  Offset(1808),   L4VC, 8,  // Offset(1808),  VCM Type
  Offset(1809),   L4FS, 8,  // Offset(1809),  Flash Support
  Offset(1810),   L4LE, 8,  // Offset(1810),  Privacy LED
  Offset(1811),   L4DG, 8,  // Offset(1811),  Degree
  Offset(1812),   L4CK, 32, // Offset(1812),  MCLK
  Offset(1816),   L4CL, 8,  // Offset(1816),  Control Logic
  Offset(1817),   L4PP, 8,  // Offset(1817),  PMIC Position
  Offset(1818),   L4VR, 8,  // Offset(1818),  Voltage Rail
  Offset(1819),   L4PV, 8,  // Offset(1819),  PPR Value
  Offset(1820),   L4PU, 8,  // Offset(1820),  PPR Unit
  // Mipi Cam Link5 options
  Offset(1821),   L5SM, 8,  // Offset(1821),  Sensor Model
  Offset(1822),   L5H0, 8,  // Offset(1822),  User defined HID ASCII character 0
  Offset(1823),   L5H1, 8,  // Offset(1823),
  Offset(1824),   L5H2, 8,  // Offset(1824),
  Offset(1825),   L5H3, 8,  // Offset(1825),
  Offset(1826),   L5H4, 8,  // Offset(1826),
  Offset(1827),   L5H5, 8,  // Offset(1827),
  Offset(1828),   L5H6, 8,  // Offset(1828),
  Offset(1829),   L5H7, 8,  // Offset(1829),
  Offset(1830),   L5H8, 8,  // Offset(1830),  User defined HID ASCII character 8
  Offset(1831),   L5PL, 8,  // Offset(1831),  Camera Position
  Offset(1832),   L5M0, 8,  // Offset(1832),  Camera Module Name ASCII character 0
  Offset(1833),   L5M1, 8,  // Offset(1833),
  Offset(1834),   L5M2, 8,  // Offset(1834),
  Offset(1835),   L5M3, 8,  // Offset(1835),
  Offset(1836),   L5M4, 8,  // Offset(1836),
  Offset(1837),   L5M5, 8,  // Offset(1837),
  Offset(1838),   L5M6, 8,  // Offset(1838),
  Offset(1839),   L5M7, 8,  // Offset(1839),
  Offset(1840),   L5M8, 8,  // Offset(1840),
  Offset(1841),   L5M9, 8,  // Offset(1841),
  Offset(1842),   L5MA, 8,  // Offset(1842),
  Offset(1843),   L5MB, 8,  // Offset(1843),
  Offset(1844),   L5MC, 8,  // Offset(1844),
  Offset(1845),   L5MD, 8,  // Offset(1845),
  Offset(1846),   L5ME, 8,  // Offset(1846),
  Offset(1847),   L5MF, 8,  // Offset(1847),  Camera Module Name ASCII character 15
  Offset(1848),   L5DI, 8,  // Offset(1848),  Number of I2C devices
  Offset(1849),   L5BS, 8,  // Offset(1849),  I2C Serial Bus number
  Offset(1850),   L5A0, 16, // Offset(1850),  Address of I2C Device0 on Link5
  Offset(1852),   L5A1, 16, // Offset(1852),  Address of I2C Device1 on Link5
  Offset(1854),   L5A2, 16, // Offset(1854),  Address of I2C Device2 on Link5
  Offset(1856),   L5A3, 16, // Offset(1856),  Address of I2C Device3 on Link5
  Offset(1858),   L5A4, 16, // Offset(1858),  Address of I2C Device4 on Link5
  Offset(1860),   L5A5, 16, // Offset(1860),  Address of I2C Device5 on Link5
  Offset(1862),   L5A6, 16, // Offset(1862),  Address of I2C Device6 on Link5
  Offset(1864),   L5A7, 16, // Offset(1864),  Address of I2C Device7 on Link5
  Offset(1866),   L5A8, 16, // Offset(1866),  Address of I2C Device8 on Link5
  Offset(1868),   L5A9, 16, // Offset(1868),  Address of I2C Device9 on Link5
  Offset(1870),   L5AA, 16, // Offset(1870),  Address of I2C Device10 on Link5
  Offset(1872),   L5AB, 16, // Offset(1872),  Address of I2C Device11 on Link5
  Offset(1874),   L5D0, 8,  // Offset(1874),  Type of I2C Device0 on Link5
  Offset(1875),   L5D1, 8,  // Offset(1875),  Type of I2C Device1 on Link5
  Offset(1876),   L5D2, 8,  // Offset(1876),  Type of I2C Device2 on Link5
  Offset(1877),   L5D3, 8,  // Offset(1877),  Type of I2C Device3 on Link5
  Offset(1878),   L5D4, 8,  // Offset(1878),  Type of I2C Device4 on Link5
  Offset(1879),   L5D5, 8,  // Offset(1879),  Type of I2C Device5 on Link5
  Offset(1880),   L5D6, 8,  // Offset(1880),  Type of I2C Device6 on Link5
  Offset(1881),   L5D7, 8,  // Offset(1881),  Type of I2C Device7 on Link5
  Offset(1882),   L5D8, 8,  // Offset(1882),  Type of I2C Device8 on Link5
  Offset(1883),   L5D9, 8,  // Offset(1883),  Type of I2C Device9 on Link5
  Offset(1884),   L5DA, 8,  // Offset(1884),  Type of I2C Device10 on Link5
  Offset(1885),   L5DB, 8,  // Offset(1885),  Type of I2C Device11 on Link5
  Offset(1886),   L5DV, 8,  // Offset(1886),  Version of SSDB structure
  Offset(1887),   L5CV, 8,  // Offset(1887),  Version of CRD
  Offset(1888),   L5LU, 8,  // Offset(1888),  CSI2 Link used
  Offset(1889),   L5NL, 8,  // Offset(1889),  MIPI-CSI2 Data Lane
  Offset(1890),   L5EE, 8,  // Offset(1890),  EEPROM Type
  Offset(1891),   L5VC, 8,  // Offset(1891),  VCM Type
  Offset(1892),   L5FS, 8,  // Offset(1892),  Flash Support
  Offset(1893),   L5LE, 8,  // Offset(1893),  Privacy LED
  Offset(1894),   L5DG, 8,  // Offset(1894),  Degree
  Offset(1895),   L5CK, 32, // Offset(1895),  MCLK
  Offset(1899),   L5CL, 8,  // Offset(1899),  Control Logic
  Offset(1900),   L5PP, 8,  // Offset(1900),  PMIC Position
  Offset(1901),   L5VR, 8,  // Offset(1901),  Voltage Rail
  Offset(1902),   L5PV, 8,  // Offset(1902),  PPR Value
  Offset(1903),   L5PU, 8,  // Offset(1903),  PPR Unit
  Offset(1909),             // Offset(1904) : Offset(1908), Reserved bytes
  Offset(1909),   ECR1, 8,  // Offset(1909),
  Offset(1910),   I2SC, 8,  // Offset(1910),  HD Audio I2S Codec Selection
  Offset(1911),   I2SI, 32, // Offset(1911),  HD Audio I2S Codec Interrupt Pin
  Offset(1915),   I2SB, 8,  // Offset(1915),  HD Audio I2S Codec Connection to I2C bus controller instance (I2C[0-5])
  Offset(1916),   ODV0, 8,  // Offset(1916),  DPTF Oem Design Variables
  Offset(1917),   ODV1, 8,  // Offset(1917),  DPTF Oem Design Variables
  Offset(1918),   ODV2, 8,  // Offset(1918),  DPTF Oem Design Variables
  Offset(1919),   ODV3, 8,  // Offset(1919),  DPTF Oem Design Variables
  Offset(1920),   ODV4, 8,  // Offset(1920),  DPTF Oem Design Variables
  Offset(1921),   ODV5, 8,  // Offset(1921),  DPTF Oem Design Variables
  Offset(1922),   UBCB, 32, // Offset(1922),  USB Type C Opregion base address
  Offset(1927),             // Offset(1926) : Offset(1926), Reserved bytes
  Offset(1927),   WIFC, 8,  // Offset(1927),  WirelessCharging
  // RTD3 Settings
  Offset(1934),             // Offset(1928) : Offset(1933), Reserved bytes
  Offset(1934),   ADPM, 32, // Offset(1934),  HD-Audio DSP Post-Processing Module Mask
  Offset(1938),   AG1L, 64, // Offset(1938),  HDA PP module custom GUID 1 - first 64bit  [0-63]
  Offset(1946),   AG1H, 64, // Offset(1946),  HDA PP module custom GUID 1 - second 64bit [64-127]
  Offset(1954),   AG2L, 64, // Offset(1954),  HDA PP module custom GUID 2 - first 64bit  [0-63]
  Offset(1962),   AG2H, 64, // Offset(1962),  HDA PP module custom GUID 2 - second 64bit [64-127]
  Offset(1970),   AG3L, 64, // Offset(1970),  HDA PP module custom GUID 3 - first 64bit  [0-63]
  Offset(1978),   AG3H, 64, // Offset(1978),  HDA PP module custom GUID 3 - second 64bit [64-127]
  Offset(1986),   HEFE, 8,  // Offset(1986),  HID Event Filter Driver enable
  Offset(1987),   XDCE, 8,  // Offset(1987),  XDCI Enable/Disable status
  Offset(1988),   STXE, 8,  // Offset(1988),  WrdsWiFiSarEnable
  Offset(1989),   ST10, 8,  // Offset(1989),  WrdsWiFiSarTxPowerSet1Limit1
  Offset(1990),   ST11, 8,  // Offset(1990),  WrdsWiFiSarTxPowerSet1Limit2
  Offset(1991),   ST12, 8,  // Offset(1991),  WrdsWiFiSarTxPowerSet1Limit3
  Offset(1992),   ST13, 8,  // Offset(1992),  WrdsWiFiSarTxPowerSet1Limit4
  Offset(1993),   ST14, 8,  // Offset(1993),  WrdsWiFiSarTxPowerSet1Limit5
  Offset(1994),   ST15, 8,  // Offset(1994),  WrdsWiFiSarTxPowerSet1Limit6
  Offset(1995),   ST16, 8,  // Offset(1995),  WrdsWiFiSarTxPowerSet1Limit7
  Offset(1996),   ST17, 8,  // Offset(1996),  WrdsWiFiSarTxPowerSet1Limit8
  Offset(1997),   ST18, 8,  // Offset(1997),  WrdsWiFiSarTxPowerSet1Limit9
  Offset(1998),   ST19, 8,  // Offset(1998),  WrdsWiFiSarTxPowerSet1Limit10
  Offset(1999),   ENVM, 8,  // Offset(1999),  Enable Voltage Margining
  Offset(2000),   DHSP, 16, // Offset(2000),  D-State for xHCI HS port(BIT0:USB HS Port0 ~ BIT15:USB HS Port15)
  Offset(2002),   DSSP, 16, // Offset(2002),  D-State for xHCI SS port(BIT0:USB SS Port0 ~ BIT15:USB SS Port15)
  Offset(2004),   DSTP, 8,  // Offset(2004),  D-State for SATA port(BIT0:SATA Port0 ~ BIT7:SATA Port7)
  Offset(2005),   STDE, 8,  // Offset(2005),  EwrdWiFiDynamicSarEnable
  Offset(2006),   STRS, 8,  // Offset(2006),  EwrdWiFiDynamicSarRangeSets
  Offset(2007),   ST20, 8,  // Offset(2007),  EwrdWiFiSarTxPowerSet2Limit1
  Offset(2008),   ST21, 8,  // Offset(2008),  EwrdWiFiSarTxPowerSet2Limit2
  Offset(2009),   ST22, 8,  // Offset(2009),  EwrdWiFiSarTxPowerSet2Limit3
  Offset(2010),   ST23, 8,  // Offset(2010),  EwrdWiFiSarTxPowerSet2Limit4
  Offset(2011),   ST24, 8,  // Offset(2011),  EwrdWiFiSarTxPowerSet2Limit5
  Offset(2012),   ST25, 8,  // Offset(2012),  EwrdWiFiSarTxPowerSet2Limit6
  Offset(2013),   ST26, 8,  // Offset(2013),  EwrdWiFiSarTxPowerSet2Limit7
  Offset(2014),   ST27, 8,  // Offset(2014),  EwrdWiFiSarTxPowerSet2Limit8
  Offset(2015),   ST28, 8,  // Offset(2015),  EwrdWiFiSarTxPowerSet2Limit9
  Offset(2016),   ST29, 8,  // Offset(2016),  EwrdWiFiSarTxPowerSet2Limit10
  Offset(2017),   ST30, 8,  // Offset(2017),  EwrdWiFiSarTxPowerSet3Limit1
  Offset(2018),   ST31, 8,  // Offset(2018),  EwrdWiFiSarTxPowerSet3Limit2
  Offset(2019),   ST32, 8,  // Offset(2019),  EwrdWiFiSarTxPowerSet3Limit3
  Offset(2020),   ST33, 8,  // Offset(2020),  EwrdWiFiSarTxPowerSet3Limit4
  Offset(2021),   ST34, 8,  // Offset(2021),  EwrdWiFiSarTxPowerSet3Limit5
  Offset(2022),   ST35, 8,  // Offset(2022),  EwrdWiFiSarTxPowerSet3Limit6
  Offset(2023),   ST36, 8,  // Offset(2023),  EwrdWiFiSarTxPowerSet3Limit7
  Offset(2024),   ST37, 8,  // Offset(2024),  EwrdWiFiSarTxPowerSet3Limit8
  Offset(2025),   ST38, 8,  // Offset(2025),  EwrdWiFiSarTxPowerSet3Limit9
  Offset(2026),   ST39, 8,  // Offset(2026),  EwrdWiFiSarTxPowerSet3Limit10
  Offset(2027),   ST40, 8,  // Offset(2027),  EwrdWiFiSarTxPowerSet4Limit1
  Offset(2028),   ST41, 8,  // Offset(2028),  EwrdWiFiSarTxPowerSet4Limit2
  Offset(2029),   ST42, 8,  // Offset(2029),  EwrdWiFiSarTxPowerSet4Limit3
  Offset(2030),   ST43, 8,  // Offset(2030),  EwrdWiFiSarTxPowerSet4Limit4
  Offset(2031),   ST44, 8,  // Offset(2031),  EwrdWiFiSarTxPowerSet4Limit5
  Offset(2032),   ST45, 8,  // Offset(2032),  EwrdWiFiSarTxPowerSet4Limit6
  Offset(2033),   ST46, 8,  // Offset(2033),  EwrdWiFiSarTxPowerSet4Limit7
  Offset(2034),   ST47, 8,  // Offset(2034),  EwrdWiFiSarTxPowerSet4Limit8
  Offset(2035),   ST48, 8,  // Offset(2035),  EwrdWiFiSarTxPowerSet4Limit9
  Offset(2036),   ST49, 8,  // Offset(2036),  EwrdWiFiSarTxPowerSet4Limit10
  Offset(2037),   SD11, 8,  // Offset(2037),  WgdsWiFiSarDeltaGroup1PowerMax1
  Offset(2038),   SD12, 8,  // Offset(2038),  WgdsWiFiSarDeltaGroup1PowerChainA1
  Offset(2039),   SD13, 8,  // Offset(2039),  WgdsWiFiSarDeltaGroup1PowerChainB1
  Offset(2040),   SD14, 8,  // Offset(2040),  WgdsWiFiSarDeltaGroup1PowerMax2
  Offset(2041),   SD15, 8,  // Offset(2041),  WgdsWiFiSarDeltaGroup1PowerChainA2
  Offset(2042),   SD16, 8,  // Offset(2042),  WgdsWiFiSarDeltaGroup1PowerChainB2
  Offset(2043),   SD21, 8,  // Offset(2043),  WgdsWiFiSarDeltaGroup2PowerMax1
  Offset(2044),   SD22, 8,  // Offset(2044),  WgdsWiFiSarDeltaGroup2PowerChainA1
  Offset(2045),   SD23, 8,  // Offset(2045),  WgdsWiFiSarDeltaGroup2PowerChainB1
  Offset(2046),   SD24, 8,  // Offset(2046),  WgdsWiFiSarDeltaGroup2PowerMax2
  Offset(2047),   SD25, 8,  // Offset(2047),  WgdsWiFiSarDeltaGroup2PowerChainA2
  Offset(2048),   SD26, 8,  // Offset(2048),  WgdsWiFiSarDeltaGroup2PowerChainB2
  Offset(2049),   SD31, 8,  // Offset(2049),  WgdsWiFiSarDeltaGroup3PowerMax1
  Offset(2050),   SD32, 8,  // Offset(2050),  WgdsWiFiSarDeltaGroup3PowerChainA1
  Offset(2051),   SD33, 8,  // Offset(2051),  WgdsWiFiSarDeltaGroup3PowerChainB1
  Offset(2052),   SD34, 8,  // Offset(2052),  WgdsWiFiSarDeltaGroup3PowerMax2
  Offset(2053),   SD35, 8,  // Offset(2053),  WgdsWiFiSarDeltaGroup3PowerChainA2
  Offset(2054),   SD36, 8,  // Offset(2054),  WgdsWiFiSarDeltaGroup3PowerChainB2
  Offset(2096),             // Offset(2055) : Offset(2095), Reserved bytes
  // Reserved for Groups 4 to 9, each needs 6 bytes and total 36 bytes reserved
  Offset(2096),   SDAA, 8,  // Offset(2096),  WiFiDynamicSarAntennaACurrentSet
  Offset(2097),   SDAB, 8,  // Offset(2097),  WiFiDynamicSarAntennaBCurrentSet
  Offset(2098),   BTSE, 8,  // Offset(2098),  BluetoothSar
  Offset(2099),   BTBR, 8,  // Offset(2099),  BluetoothSarBr
  Offset(2100),   BED2, 8,  // Offset(2100),  BluetoothSarEdr2
  Offset(2101),   BED3, 8,  // Offset(2101),  BluetoothSarEdr3
  Offset(2102),   BTLE, 8,  // Offset(2102),  BluetoothSarLe
  Offset(2103),   BTL2, 8,  // Offset(2103),  BluetoothSarLe2Mhz
  Offset(2104),   BTLL, 8,  // Offset(2104),  BluetoothSarLeLr
  Offset(2107),             // Offset(2105) : Offset(2106), Reserved bytes
  // Reserved for Bluetooth Sar future use
  Offset(2107),   ATDV, 8,  // Offset(2107),  AntennaDiversity
  Offset(2108),   COEM, 8,  // Offset(2108),  CoExistenceManager
  Offset(2109),   RTVM, 8,  // Offset(2109),  RunTime VM Control
  //
  //Feature Specific Data Bits
  //
  Offset(2110),   USTC, 8,  // Offset(2110),  USB Type C Supported
  Offset(2111),   HEB1, 32, // Offset(2111),  HebcValue
  Offset(2115),   BATP, 8,  // Offset(2115),  Battery Present - Bit0: Real Battery is supported on this platform. Bit1: Virtual Battery is supported on this platform.
  Offset(2116),   TSDB, 8,  // Offset(2116),  TS-on-DIMM temperature
  Offset(2119),             // Offset(2117) : Offset(2118), Reserved bytes
  Offset(2119),   RBY1, 8,  // Offset(2119),  Real Battery 1 Control
  Offset(2120),   RBY2, 8,  // Offset(2120),  Real Battery 2 Control
  Offset(2121),   SCSS, 8,  // Offset(2121),  Mipi Camera Sensor
  Offset(2122),   NCTC, 8,  // Offset(2122),  NCT6776F COM
  Offset(2123),   NCTI, 8,  // Offset(2123),  NCT6776F SIO
  Offset(2124),   NCTH, 8,  // Offset(2124),  NCT6776F HWMON
  Offset(2125),   HSIO, 8,  // Offset(2125),  H8S2113 SIO
  Offset(2126),   ZPOD, 8,  // Offset(2126),  ZPODD
  Offset(2127),   RGBC, 8,  // Offset(2127),  RGB Camera Address
  Offset(2128),   DPTC, 8,  // Offset(2128),  Depth Camera Addresy
  Offset(2129),   SRSP, 32, // Offset(2129),  SMC Runtime Sci Pin
  Offset(2133),   CEDS, 8,  // Offset(2133),  Convertable Dock Support
  Offset(2134),   EHK3, 8,  // Offset(2134),  Ec Hotkey F3 Support
  Offset(2135),   EHK4, 8,  // Offset(2135),  Ec Hotkey F4 Support
  Offset(2136),   EHK5, 8,  // Offset(2136),  Ec Hotkey F5 Support
  Offset(2137),   EHK6, 8,  // Offset(2137),  Ec Hotkey F6 Support
  Offset(2138),   EHK7, 8,  // Offset(2138),  Ec Hotkey F7 Support
  Offset(2139),   EHK8, 8,  // Offset(2139),  Ec Hotkey F8 Support
  Offset(2140),   VBVP, 8,  // Offset(2140),  Virtual Button Volume Up Support
  Offset(2141),   VBVD, 8,  // Offset(2141),  Virtual Button Volume Down Support
  Offset(2142),   VBHB, 8,  // Offset(2142),  Virtual Button Home Button Support
  Offset(2143),   VBRL, 8,  // Offset(2143),  Virtual Button Rotation Lock Support
  Offset(2144),   SMSS, 8,  // Offset(2144),  Slate Mode Switch Support
  Offset(2145),   VBST, 8,  // Offset(2145),  Virtual Button Support
  Offset(2146),   ADAS, 8,  // Offset(2146),  Ac Dc Auto Switch Support
  Offset(2147),   PPBG, 32, // Offset(2147),  Pm Power Button Gpio Pin
  Offset(2151),   AEAB, 8,  // Offset(2151),  Acpi Enable All Button Support
  Offset(2152),   AHDB, 8,  // Offset(2152),  Acpi Hid Driver Button Support
  Offset(2153),   DPLL, 8,  // Offset(2153),  DPTF Display Depth Lower Limit in percent
  Offset(2154),   DPHL, 8,  // Offset(2154),  DPTF Display Depth Upper Limit in percent
  Offset(2155),   WTSP, 8,  // Offset(2155),  ThermalSamplingPeriodWrls
  Offset(2156),   ELPM, 32, // Offset(2156),  EcLowPowerModeGpioPin
  Offset(2160),   ELPS, 32, // Offset(2160),  EcSmiGpioPin
  //
  // UCMC setup option, GPIO Pad
  //
  Offset(2164),   UCMS, 8,  // Offset(2164),  Option to select UCSI/UCMC device
  Offset(2165),   UCG1, 32, // Offset(2165),  Gpio for UCMC Port 1 Interrupt
  Offset(2169),   UCG2, 32, // Offset(2169),  Gpio for UCMC Port 2 Interrupt
  Offset(2199),             // Offset(2173) : Offset(2198), Reserved bytes
  Offset(2199),   PCHE, 8,  // Offset(2199),  EnablePchFivrParticipant
  Offset(2205),             // Offset(2200) : Offset(2204), Reserved bytes
  Offset(2205),   UDGF, 8,  // Offset(2205),  Upstream Facing port or Downstream Facing port Global Flag from LPC EC
  Offset(2206),   UDUP, 8,  // Offset(2206),  Upstream Facing port or Downstream Facing port number from LPC EC
  Offset(2207),   DBGF, 8,  // Offset(2207),  Debug Mode Global Flag from LPC EC
  Offset(2208),   DBUP, 8,  // Offset(2208),  Debug Mode USB Port Number from LPC EC
  Offset(2209),   TTUP, 8,  // Offset(2209),  Total Number of type C ports that are supported by platform
  Offset(2210),   TP1T, 8,  // Offset(2210),  Type C Connector 1  Port mapping within the controller the port exposed
  Offset(2211),   TP1P, 8,  // Offset(2211),  Type C Connector 1  Port mapping within the PCH controller (If Split mode supported)
  Offset(2212),   TP1D, 8,  // Offset(2212),  Type C Connector 1  Portperties Split Support/Controller(PCH/TBT/CPU)/Root port (vaild for TBT)
  Offset(2213),   TP2T, 8,  // Offset(2213),  Type C Connector 2  Port mapping within the controller the port exposed
  Offset(2214),   TP2P, 8,  // Offset(2214),  Type C Connector 2  Port mapping within the PCH controller (If Split mode supported)
  Offset(2215),   TP2D, 8,  // Offset(2215),  Type C Connector 2  Portperties Split Support/Controller(PCH/TBT/CPU)/Root port (vaild for TBT)
  Offset(2216),   TP3T, 8,  // Offset(2216),  Type C Connector 3  Port mapping within the controller the port exposed
  Offset(2217),   TP3P, 8,  // Offset(2217),  Type C Connector 3  Port mapping within the PCH controller (If Split mode supported)
  Offset(2218),   TP3D, 8,  // Offset(2218),  Type C Connector 3  Portperties Split Support/Controller(PCH/TBT/CPU)/Root port (vaild for TBT)
  Offset(2219),   TP4T, 8,  // Offset(2219),  Type C Connector 4  Port mapping within the controller the port exposed
  Offset(2220),   TP4P, 8,  // Offset(2220),  Type C Connector 4  Port mapping within the PCH controller (If Split mode supported)
  Offset(2221),   TP4D, 8,  // Offset(2221),  Type C Connector 4  Portperties Split Support/Controller(PCH/TBT/CPU)/Root port (vaild for TBT)
  Offset(2222),   TP5T, 8,  // Offset(2222),  Type C Connector 5  Port mapping within the controller the port exposed
  Offset(2223),   TP5P, 8,  // Offset(2223),  Type C Connector 5  Port mapping within the PCH controller (If Split mode supported)
  Offset(2224),   TP5D, 8,  // Offset(2224),  Type C Connector 5  Portperties Split Support/Controller(PCH/TBT/CPU)/Root port (vaild for TBT)
  Offset(2225),   TP6T, 8,  // Offset(2225),  Type C Connector 6  Port mapping within the controller the port exposed
  Offset(2226),   TP6P, 8,  // Offset(2226),  Type C Connector 6  Port mapping within the PCH controller (If Split mode supported)
  Offset(2227),   TP6D, 8,  // Offset(2227),  Type C Connector 6  Portperties Split Support/Controller(PCH/TBT/CPU)/Root port (vaild for TBT)
  Offset(2228),   STAS, 8,  // Offset(2228),  Select source for System time and alarm
  Offset(2229),   WRTO, 8,  // Offset(2229),  WWAN RTD3 options
  Offset(2230),   PRST, 32, // Offset(2230),  WWAN PERST Gpio pin
  Offset(2234),   WPRP, 8,  // Offset(2234),  WWAN PERST Gpio polarity
  Offset(2235),   PSWP, 32, // Offset(2235),  Pcie Slot Wake Gpio pin
  Offset(2239),   RPNB, 8,  // Offset(2239),  Pcie Slot Root Port Number
  Offset(2240),   POME, 8,  // Offset(2240),  Enable PowerMeter
  Offset(2241),   PSW2, 32, // Offset(2241),  Pcie Slot 2 Wake Gpio pin
  Offset(2245),   RPN2, 8,  // Offset(2245),  Pcie Slot 2 Root Port Number
  Offset(2246),   WFCP, 32, // Offset(2246),  WWAN Full card power off gpio pin
  Offset(2250),   PFCP, 8,  // Offset(2250),  WWAN Full card power off gpio pin polarity
  Offset(2251),   WBRS, 32, // Offset(2251),  WWAN BBRST Gpio pin
  Offset(2255),   PBRS, 8,  // Offset(2255),  WWAN BBRST Gpio pin polarity
  Offset(2256),   WWKP, 32, // Offset(2256),  WWAN Wake Gpio pin
  Offset(2260),   GPLP, 32, // Offset(2260),  Gpio for touchPaneL 0 power enable
  Offset(2264),   GPLR, 32, // Offset(2264),  Gpio for touchPaneL 0 Reset
  Offset(2268),   GPI1, 32, // Offset(2268),  Gpio for touchPaneL 1 Interrupt
  Offset(2272),   TPP1, 32, // Offset(2272),  Gpio for touchPaneL 1 power enable
  Offset(2276),   TPR1, 32, // Offset(2276),  Gpio for touchPaneL 1 Reset
  Offset(2280),   PPDI, 8,  // Offset(2280),  TouchPaD Interrupt Gpio pin polarity
  Offset(2281),   PPLI, 8,  // Offset(2281),  TouchPaneL 0 Interrupt Gpio pin polarity
  Offset(2282),   PPLP, 8,  // Offset(2282),  TouchPaneL 0 power enable Gpio pin polarity
  Offset(2283),   PPLR, 8,  // Offset(2283),  TouchPaneL 0 Reset Gpio pin polarity
  Offset(2284),   PPI1, 8,  // Offset(2284),  TouchPaneL 1 Interrupt Gpio pin polarity
  Offset(2285),   PPP1, 8,  // Offset(2285),  TouchPaneL 1 power enable Gpio pin polarity
  Offset(2286),   PPR1, 8,  // Offset(2286),  TouchPaneL 1 Reset Gpio pin polarity
  Offset(2287),   PSPE, 32, // Offset(2287),  Pcie Slot 1 Power Enable Gpio pin
  Offset(2291),   PPSP, 8,  // Offset(2291),  Pcie Slot 1 Power Enable Gpio pin polarity
  Offset(2292),   PSPR, 32, // Offset(2292),  Pcie Slot 1 Rest Gpio pin
  Offset(2296),   PPSR, 8,  // Offset(2296),  Pcie Slot 1 Rest Gpio pin polarity
  Offset(2297),   PSP2, 32, // Offset(2297),  Pcie Slot 2 Power Enable Gpio pin
  Offset(2301),   PS2P, 8,  // Offset(2301),  Pcie Slot 2 Power Enable Gpio pin polarity
  Offset(2302),   PSR2, 32, // Offset(2302),  Pcie Slot 2 Rest Gpio pin
  Offset(2306),   SR2P, 8,  // Offset(2306),  Pcie Slot 2 Rest Gpio pin polarity
  Offset(2307),   WLWK, 32, // Offset(2307),  WLAN Wake Gpio pin
  Offset(2311),   SATP, 32, // Offset(2311),  Sata port Power Enable Gpio pin
  Offset(2315),   STPP, 8,  // Offset(2315),  Sata port Power Enable Gpio pin polarity
  Offset(2316),   SSDP, 32, // Offset(2316),  Pch M.2 SSD Power Enable Gpio pin
  Offset(2320),   SDPP, 8,  // Offset(2320),  Pch M.2 SSD Power Enable Gpio pin polarity
  Offset(2321),   SSDR, 32, // Offset(2321),  Pch M.2 SSD Reset Gpio pin
  Offset(2325),   SDRP, 8,  // Offset(2325),  Pch M.2 SSD Reset Gpio pin polarity
  Offset(2326),   SD2P, 32, // Offset(2326),  PCIe x4 M.2 SSD Power Enable Gpio pin
  Offset(2330),   SDP1, 8,  // Offset(2330),  PCIe x4 M.2 SSD Power Enable Gpio pin polarity
  Offset(2331),   SD2R, 32, // Offset(2331),  PCIe x4 M.2 SSD Reset Gpio pin
  Offset(2335),   SDR1, 8,  // Offset(2335),  PCIe x4 M.2 SSD Reset Gpio pin polarity
  Offset(2336),   SXI1, 8,  // Offset(2336),  SDEV xHCI Interface Number for device 1
  Offset(2337),   SXI2, 8,  // Offset(2337),  SDEV xHCI Interface Number for device 2
  Offset(2338),   SXP1, 8,  // Offset(2338),  SDEV xHCI Root Port Number for device 1
  Offset(2339),   SXP2, 8,  // Offset(2339),  SDEV xHCI Root Port Number for device 2
  Offset(2340),   SCS0, 8,  // Offset(2340),  SPI0 ChipSelect Device enabled
  Offset(2341),   SCS1, 8,  // Offset(2341),  SPI1 ChipSelect Device enabled
  Offset(2342),   SCS2, 8,  // Offset(2342),  SPI2 ChipSelect Device enabled
  //
  // Generic Buttons Device policies - Begin
  //
  Offset(2343),   GHOM, 32, // Offset(2343),
  Offset(2347),   GVUP, 32, // Offset(2347),
  Offset(2351),   GVDN, 32, // Offset(2351),
  //
  // Generic Buttons Device policies - End
  //
  Offset(2355),   TSD0, 8,  // Offset(2355),
  Offset(2356),   TSD1, 8,  // Offset(2356),
  Offset(2357),   TSD2, 8,  // Offset(2357),
  Offset(2358),   PUA0, 8,  // Offset(2358),  Enable RS485 mode for PSE UART 0
  Offset(2359),   PUA1, 8,  // Offset(2359),  Enable RS485 mode for PSE UART 0
  Offset(2360),   PUA2, 8,  // Offset(2360),  Enable RS485 mode for PSE UART 0
  Offset(2361),   PUA3, 8,  // Offset(2361),  Enable RS485 mode for PSE UART 0
  Offset(2362),   SSH6, 16, // Offset(2362),  SSCN-HIGH for I2C6
  Offset(2364),   SSL6, 16, // Offset(2364),  SSCN-LOW  for I2C6
  Offset(2366),   SSD6, 16, // Offset(2366),  SSCN-HOLD for I2C6
  Offset(2368),   FMH6, 16, // Offset(2368),  FMCN-HIGH for I2C6
  Offset(2370),   FML6, 16, // Offset(2370),  FMCN-LOW  for I2C6
  Offset(2372),   FMD6, 16, // Offset(2372),  FMCN-HOLD for I2C6
  Offset(2374),   FPH6, 16, // Offset(2374),  FPCN-HIGH for I2C6
  Offset(2376),   FPL6, 16, // Offset(2376),  FPCN-LOW  for I2C6
  Offset(2378),   FPD6, 16, // Offset(2378),  FPCN-HOLD for I2C6
  Offset(2380),   HSH6, 16, // Offset(2380),  HSCN-HIGH for I2C6
  Offset(2382),   HSL6, 16, // Offset(2382),  HSCN-LOW  for I2C6
  Offset(2384),   HSD6, 16, // Offset(2384),  HSCN-HOLD for I2C6
  Offset(2386),   SSH7, 16, // Offset(2386),  SSCN-HIGH for I2C7
  Offset(2388),   SSL7, 16, // Offset(2388),  SSCN-LOW  for I2C7
  Offset(2390),   SSD7, 16, // Offset(2390),  SSCN-HOLD for I2C7
  Offset(2392),   FMH7, 16, // Offset(2392),  FMCN-HIGH for I2C7
  Offset(2394),   FML7, 16, // Offset(2394),  FMCN-LOW  for I2C7
  Offset(2396),   FMD7, 16, // Offset(2396),  FMCN-HOLD for I2C7
  Offset(2398),   FPH7, 16, // Offset(2398),  FPCN-HIGH for I2C7
  Offset(2400),   FPL7, 16, // Offset(2400),  FPCN-LOW  for I2C7
  Offset(2402),   FPD7, 16, // Offset(2402),  FPCN-HOLD for I2C7
  Offset(2404),   HSH7, 16, // Offset(2404),  HSCN-HIGH for I2C7
  Offset(2406),   HSL7, 16, // Offset(2406),  HSCN-LOW  for I2C7
  Offset(2408),   HSD7, 16, // Offset(2408),  HSCN-HOLD for I2C7
  Offset(2410),   M0CC, 16, // Offset(2410),  M0D3 for I2C6
  Offset(2412),   M1CC, 16, // Offset(2412),  M1D3 for I2C6
  Offset(2414),   M0CD, 16, // Offset(2414),  M0D3 for I2C7
  Offset(2416),   M1CD, 16, // Offset(2416),  M1D3 for I2C7
  Offset(2418),   IC0S, 32, // Offset(2418),  I2C0 Speed - Standard mode/Fast mode/FastPlus mode/HighSpeed mode
  Offset(2422),   IC1S, 32, // Offset(2422),  I2C1 Speed - Standard mode/Fast mode/FastPlus mode/HighSpeed mode
  Offset(2426),   IC2S, 32, // Offset(2426),  I2C2 Speed - Standard mode/Fast mode/FastPlus mode/HighSpeed mode
  Offset(2430),   IC3S, 32, // Offset(2430),  I2C3 Speed - Standard mode/Fast mode/FastPlus mode/HighSpeed mode
  Offset(2434),   IC4S, 32, // Offset(2434),  I2C4 Speed - Standard mode/Fast mode/FastPlus mode/HighSpeed mode
  Offset(2438),   IC5S, 32, // Offset(2438),  I2C5 Speed - Standard mode/Fast mode/FastPlus mode/HighSpeed mode
  Offset(2442),   IC6S, 32, // Offset(2442),  I2C6 Speed - Standard mode/Fast mode/FastPlus mode/HighSpeed mode
  Offset(2446),   IC7S, 32, // Offset(2446),  I2C7 Speed - Standard mode/Fast mode/FastPlus mode/HighSpeed mode
  Offset(2450),   TBAS, 64, // Offset(2450),  PTCT Table Memory Address
  }
