/** @file

@copyright
  INTEL CONFIDENTIAL
  Copyright 2017 Intel Corporation.

  The source code contained or described herein and all documents related to the
  source code ("Material") are owned by Intel Corporation or its suppliers or
  licensors. Title to the Material remains with Intel Corporation or its suppliers
  and licensors. The Material may contain trade secrets and proprietary and
  confidential information of Intel Corporation and its suppliers and licensors,
  and is protected by worldwide copyright and trade secret laws and treaty
  provisions. No part of the Material may be used, copied, reproduced, modified,
  published, uploaded, posted, transmitted, distributed, or disclosed in any way
  without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure or delivery
  of the Materials, either expressly, by implication, inducement, estoppel or
  otherwise. Any license under such intellectual property rights must be
  express and approved by Intel in writing.

  Unless otherwise agreed by Intel in writing, you may not remove or alter
  this notice or any other notice embedded in Materials by Intel or
  Intel's suppliers or licensors in any way.

  This file contains a 'Sample Driver' and is licensed as such under the terms
  of your license agreement with Intel or your vendor. This file may be modified
  by the user, subject to the additional terms of the license agreement.

@par Specification Reference:
**/

//
// Automatically generated by ACE ver 1.63 PIRQTRANS
// Please DO NOT modify !!!
//

#define PIRQ_TABLE_IRQ_DATA { \
/*+-------------------+---------------------------+---------------------------+---------------------------+---------------------------+--------------------+*/ \
/*| Device Location   |        Int A Pin          |        Int B Pin          |        Int C Pin          |        Int D Pin          |                    |*/ \
/*+-------------------+---------------------------+---------------------------+---------------------------+---------------------------+--------------------+*/ \
/*| PCI Bus  Dev Num  | Chipset   Bitmap of IRQs  | Chipset   Bitmap of IRQs  | Chipset   Bitmap of IRQs  | Chipset   Bitmap of IRQs  | Physical  Reserved |*/ \
/*| Number   (Shl 3)  | Reg       Routable to Pin | Reg       Routable Pin    | Reg       Routable Pin    | Reg       Routable Pin    | Slot Num  Byte     |*/ \
/*+-------------------+---------------------------+---------------------------+---------------------------+---------------------------+--------------------+*/ \
  { 0x00,    0x10,   {{ 0x60,     0xDC78},        { 0x00,     0x0000},        { 0x00,     0x0000},        { 0x00,     0x0000}},          0,       0 }, /* Device #02h  :Pin0: I.G.D. ( Fn# 002X)*/ \
  { 0x00,    0x18,   {{ 0x60,     0xDC78},        { 0x00,     0x0000},        { 0x00,     0x0000},        { 0x00,     0x0000}},          0,       0 }, /* Device #03h  :Pin0: SA Audio Device ( Fn# 002X)*/ \
  { 0x00,    0x20,   {{ 0x60,     0xDC78},        { 0x00,     0x0000},        { 0x00,     0x0000},        { 0x00,     0x0000}},          0,       0 }, /* Device #04h  :Pin0: SA Thermal Device ( Fn# 002X)*/ \
  { 0x00,    0x38,   {{ 0x60,     0xDC78},        { 0x00,     0x0000},        { 0x00,     0x0000},        { 0x00,     0x0000}},          0,       0 }, /* Device #07h  :Pin0: SA Chap Device ( Fn# 002X)*/ \
  { 0x00,    0x40,   {{ 0x60,     0xDC78},        { 0x00,     0x0000},        { 0x00,     0x0000},        { 0x00,     0x0000}},          0,       0 }, /* Device #08h  :Pin0: SA GNA Device ( Fn# 002X)*/ \
  { 0x00,    0x68,   {{ 0x60,     0xDC78},        { 0x00,     0x0000},        { 0x00,     0x0000},        { 0x00,     0x0000}},          0,       0 }, /* Device #0Dh  :Pin0: SA XHCI Device ( Fn# 002X)*/ \
  { 0x00,    0x98,   {{ 0x60,     0xDC78},        { 0x00,     0x0000},        { 0x00,     0x0000},        { 0x00,     0x0000}},          0,       0 }, /* Device #13h  :Pin0: Integrated Sensor Hub(ISH) ( Fn# 002X)*/ \
  { 0x00,    0xA0,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},          0,       0 }, /* Device #14h  :Pin0: USB 3.0 xHCI Controller ( Fn# 002X) :Pin1: USB 3.0 xHCI Controller ( Fn# 002X) :Pin2: USB 3.0 xHCI Controller ( Fn# 002X) :Pin3: USB 3.0 xHCI Controller ( Fn# 002X)*/ \
  { 0x00,    0xA8,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},          0,       0 }, /* Device #15h  :Pin0: SERIALIO I2C Controller #0 ( Fn# 002X) :Pin1: SERIALIO I2C Controller #0 ( Fn# 002X) :Pin2: SERIALIO I2C Controller #0 ( Fn# 002X) :Pin3: SERIALIO I2C Controller #0 ( Fn# 002X)*/ \
  { 0x00,    0xB0,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},          0,       0 }, /* Device #16h  :Pin0: ME ( Fn# 002X) :Pin1: ME ( Fn# 002X) :Pin2: ME ( Fn# 002X) :Pin3: ME ( Fn# 002X)*/ \
  { 0x00,    0xB8,   {{ 0x60,     0xDC78},        { 0x00,     0x0000},        { 0x00,     0x0000},        { 0x00,     0x0000}},          0,       0 }, /* Device #17h  :Pin0: SATA Controller ( Fn# 002X)*/ \
  { 0x00,    0xC8,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},          0,       0 }, /* Device #19h  :Pin0: SERIALIO UART Controller #2 ( Fn# 002X) :Pin1: SERIALIO UART Controller #2 ( Fn# 002X) :Pin2: SERIALIO UART Controller #2 ( Fn# 002X) :Pin3: SERIALIO UART Controller #2 ( Fn# 002X)*/ \
  { 0x00,    0xE0,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},          0,       0 }, /* Device #1Ch  :Pin0: PCIE Root Port #1 ( Fn# 002X) :Pin1: PCIE Root Port #1 ( Fn# 002X) :Pin2: PCIE Root Port #1 ( Fn# 002X) :Pin3: PCIE Root Port #1 ( Fn# 002X)*/ \
  { 0x01,    0x00,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},         33,       0 }, /* Slot (Device #0x00) */ \
  { 0x02,    0x00,   {{ 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78},        { 0x60,     0xDC78}},         34,       0 }, /* Slot (Device #0x00) */ \
  { 0x03,    0x00,   {{ 0x62,     0xDC78},        { 0x63,     0xDC78},        { 0x60,     0xDC78},        { 0x61,     0xDC78}},          8,       0 }, /* Slot (Device #0x00) */ \
  { 0x04,    0x00,   {{ 0x63,     0xDC78},        { 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78}},          9,       0 }, /* Slot (Device #0x00) */ \
  { 0x05,    0x00,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},         10,       0 }, /* Slot (Device #0x00) */ \
  { 0x06,    0x00,   {{ 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78},        { 0x60,     0xDC78}},         16,       0 }, /* Slot (Device #0x00) */ \
  { 0x07,    0x00,   {{ 0x62,     0xDC78},        { 0x63,     0xDC78},        { 0x60,     0xDC78},        { 0x61,     0xDC78}},         17,       0 }, /* Slot (Device #0x00) */ \
  { 0x08,    0x00,   {{ 0x63,     0xDC78},        { 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78}},         18,       0 }, /* Slot (Device #0x00) */ \
  { 0x00,    0xE8,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},          0,       0 }, /* Device #1Dh  :Pin0: PCIE Root Port #9 ( Fn# 002X) :Pin1: PCIE Root Port #9 ( Fn# 002X) :Pin2: PCIE Root Port #9 ( Fn# 002X) :Pin3: PCIE Root Port #9 ( Fn# 002X)*/ \
  { 0x09,    0x00,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},          0,       0 }, /* Slot (Device #0x00) */ \
  { 0x0A,    0x00,   {{ 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78},        { 0x60,     0xDC78}},          0,       0 }, /* Slot (Device #0x00) */ \
  { 0x0B,    0x00,   {{ 0x62,     0xDC78},        { 0x63,     0xDC78},        { 0x60,     0xDC78},        { 0x61,     0xDC78}},          0,       0 }, /* Slot (Device #0x00) */ \
  { 0x0C,    0x00,   {{ 0x63,     0xDC78},        { 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78}},          0,       0 }, /* Slot (Device #0x00) */ \
  { 0x00,    0xF0,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},          0,       0 }, /* Device #1Eh  :Pin0: SERIALIO(UART #0) ( Fn# 002X) :Pin1: SERIALIO(UART #0) ( Fn# 002X) :Pin2: SERIALIO(UART #0) ( Fn# 002X) :Pin3: SERIALIO(UART #0) ( Fn# 002X)*/ \
  { 0x00,    0xF8,   {{ 0x60,     0xDC78},        { 0x61,     0xDC78},        { 0x62,     0xDC78},        { 0x63,     0xDC78}},          0,       0 }, /* Device #1Fh  :Pin0: LPC Bridge ( Fn# 002X) :Pin1: LPC Bridge ( Fn# 002X) :Pin2: LPC Bridge ( Fn# 002X) :Pin3: LPC Bridge ( Fn# 002X)*/ \
}

#define PCI_DEDICATED_IRQS 0xDC78
